from __future__ import annotations
from typing import Any, Union, List, Literal, TypedDict, overload, Optional, Tuple, Dict
from abc import ABCMeta, abstractmethod
from typing import Generator
from typing import Callable
import pandas as pd
from markdown import Markdown
from IPython.core.display import Markdown as Markdown, Math as Math
from fractions import Fraction as NativeFraction
 ##### ./wip/src/plot_adapter.py #####

class プロットアダプタークラス:
    """
    TableAdapterクラス
    """

    @staticmethod
    def 解除する_表示制限(向き: Literal['row', 'column']) -> None: ...
    @staticmethod
    def 設定する_テーブルインデックス(データフレーム: pd.DataFrame, カラム名: str | int | float) -> None: ...
    @staticmethod
    def 追加する_カラム(データフレーム: pd.DataFrame, カラム名: str | int | float, ボディ: list[str | int | float]) -> None: ...
    @staticmethod
    def 表示する_テーブル(データフレーム: pd.DataFrame) -> type['プロットアダプタークラス']: ...

class plotRangeClass(TypedDict):


    min: float | int
    max: float | int



class 座標ベースクラス:
    """
    FigureのAxを表す親クラス
    """

    def __init__(self, 座標: Any) -> None:
        """
        初期化メソッド
        
        Parameters
        ----------
        座標 : Any
            Axesオブジェクト
        """
        ...

class 図形ベースクラス:
    """
    Figureを表す親クラス
    """

    def __init__(self, 行列: tuple[int, int], サイズ: tuple[int | float, int | float] = (15, 7.5), タイトル: str = '') -> None: ...
    def 表示する(self) -> 図形ベースクラス:
        """
        Figureを表示（日本語メソッド）
        
        Returns
        -------
        図形ベースクラス
            自身のインスタンス
        """
        ...

 ##### ./wip/src/__singleton.py #####

class Singleton:


    def __new__(cls, *args, **kwargs): ...
    def __init__(self, user: Literal['human', 'llm'] = 'human') -> None: ...
    def __setattr__(self, key, value) -> None: ...

 ##### ./wip/src/_ad.py #####

hex_rgb = tuple[int, int, int]
hsl = tuple[float | int, float | int, float | int]
hsla_full = tuple[float | int, float | int, float | int, float | int]
hsla = hsla_full | hsl
plot_color = Literal[
    "aliceblue",
    "antiquewhite",
    "aqua",
    "aquamarine",
    "azure",
    "beige",
    "bisque",
    "black",
    "blanchedalmond",
    "blue",
    "blueviolet",
    "brown",
    "burlywood",
    "cadetblue",
    "chartreuse",
    "chocolate",
    "coral",
    "cornflowerblue",
    "cornsilk",
    "crimson",
    "cyan",
    "darkblue",
    "darkcyan",
    "darkgoldenrod",
    "darkgray",
    "darkgreen",
    "darkgrey",
    "darkkhaki",
    "darkmagenta",
    "darkolivegreen",
    "darkorange",
    "darkorchid",
    "darkred",
    "darksalmon",
    "darkseagreen",
    "darkslateblue",
    "darkslategray",
    "darkslategrey",
    "darkturquoise",
    "darkviolet",
    "deeppink",
    "deepskyblue",
    "dimgray",
    "dimgrey",
    "dodgerblue",
    "firebrick",
    "floralwhite",
    "forestgreen",
    "fuchsia",
    "gainsboro",
    "ghostwhite",
    "gold",
    "goldenrod",
    "gray",
    "green",
    "greenyellow",
    "grey",
    "honeydew",
    "hotpink",
    "indianred",
    "indigo",
    "ivory",
    "khaki",
    "lavender",
    "lavenderblush",
    "lawngreen",
    "lemonchiffon",
    "lightblue",
    "lightcoral",
    "lightcyan",
    "lightgoldenrodyellow",
    "lightgray",
    "lightgreen",
    "lightgrey",
    "lightpink",
    "lightsalmon",
    "lightseagreen",
    "lightskyblue",
    "lightslategray",
    "lightslategrey",
    "lightsteelblue",
    "lightyellow",
    "lime",
    "limegreen",
    "linen",
    "magenta",
    "maroon",
    "mediumaquamarine",
    "mediumblue",
    "mediumorchid",
    "mediumpurple",
    "mediumseagreen",
    "mediumslateblue",
    "mediumspringgreen",
    "mediumturquoise",
    "mediumvioletred",
    "midnightblue",
    "mintcream",
    "mistyrose",
    "moccasin",
    "navajowhite",
    "navy",
    "oldlace",
    "olive",
    "olivedrab",
    "orange",
    "orangered",
    "orchid",
    "palegoldenrod",
    "palegreen",
    "paleturquoise",
    "palevioletred",
    "papayawhip",
    "peachpuff",
    "peru",
    "pink",
    "plum",
    "powderblue",
    "purple",
    "rebeccapurple",
    "red",
    "rosybrown",
    "royalblue",
    "saddlebrown",
    "salmon",
    "sandybrown",
    "seagreen",
    "seashell",
    "sienna",
    "silver",
    "skyblue",
    "slateblue",
    "slategray",
    "slategrey",
    "snow",
    "springgreen",
    "steelblue",
    "tan",
    "teal",
    "thistle",
    "tomato",
    "turquoise",
    "violet",
    "wheat",
    "white",
    "whitesmoke",
    "yellow",
    "yellowgreen",
]
plotRange = tuple[int | float, int | float]
plotRanges = dict[str, plotRange]
plotRange_2d = tuple[plotRange, plotRange]
range_v1 = tuple[int | float, int | float]
range_v2 = tuple[tuple[int | float, int | float], tuple[int | float, int | float]]
variable_symbol = Any
formula_symbol = Any
variables = dict[str, variable_symbol]

class equation(TypedDict):


    formula_left: str
    formula_right: str

operator_symbol = Literal[
    "+",
    "*",
    "**",
    "%",
    "log",
    "/",
    "sin",
    "cos",
    "tan",
    "&",
    "~",
    "|",
    "setInterval",
    "setIntervalUnion",
    "UniversalSet",
    "finite_set",
    "||",
    "floor",
    "sols",
]
#  'sin', 'cos', 'tan', '&', '~', '|', 'setInterval', 'setIntervalUnion', 'finite_set', '||', 'floor','sols']
number_symbol = Literal["oo", "-oo"]
equationSymbol = Literal["="]
conditionSymbol = Literal["True", "False"]
inequationSymbol = Literal["<", "<=", ">", ">="]
unequationSymbol = Literal["!="]
symbolRelationType = Literal[operator_symbol, number_symbol, conditionSymbol, equationSymbol, inequationSymbol, unequationSymbol]
symbolType = Literal[symbolRelationType, "symbol", conditionSymbol]

class vennData(TypedDict):


    label: str
    set: set[int] | set[str]

class plotRange_eachVariable(TypedDict):


    min: int | float
    max: int | float
    symbol: str

sympyClass = Literal[
    "<class 'sympy.core.add.Add'>",
    "<class 'sympy.core.mul.Mul'>",
    "<class 'sympy.core.numbers.Half'>",
    "<class 'sympy.core.numbers.Infinity'>",
    "<class 'sympy.core.numbers.NegativeInfinity'>",
    "<class 'sympy.core.numbers.Rational'>",
    "<class 'sympy.core.power.Pow'>",
    "<class 'sympy.core.relational.Equality'>",
    "<class 'sympy.core.relational.GreaterThan'>",
    "<class 'sympy.core.relational.LessThan'>",
    "<class 'sympy.core.relational.StrictGreaterThan'>",
    "<class 'sympy.core.relational.StrictLessThan'>",
    "<class 'sympy.core.relational.Unequality'>",
    "<class 'sympy.sets.sets.EmptySet'>",
    "<class 'sympy.sets.sets.FiniteSet'>",
    "<class 'sympy.sets.sets.Interval'>",
    "<class 'sympy.sets.sets.Union'>",
    "<class 'sympy.sets.sets.UniversalSet'>",
    "<class 'sympy.logic.boolalg.BooleanFalse'>",
    "<class 'sympy.logic.boolalg.BooleanTrue'>",
    # "<class 'sympy.polys.rootoftools.ComplexRootOf'>",
    "Abs",
    "And",
    "cos",
    "floor",
    "log",
    "Mod",
    "Not",
    "Or",
    "sin",
    "tan",
]
sympyFunction2Operator: dict[sympyClass, symbolRelationType]

class astElement(TypedDict):


    type: Literal['function', 'symbol', 'condition']
    name: symbolType
    text: str
    argumentsLength: int
    arguments: list[astElement]

class variableType(TypedDict):


    real: bool
    integer: bool
    rational: bool
    positive: bool

class variableType_optional(TypedDict, total=False):


    real: Literal[True]
    integer: Literal[True]
    rational: Literal[True]
    positive: Literal[True]

 ##### ./wip/src/ast.py #####

class 抽象構文木クラス:
    """
    数式の抽象構文木を表現するクラス。
    数式の解析に使う。
    """

    def __init__(self, 証明: 証明クラス, 表現: str, 主張演算子: list[symbol_type] = [], 変数のタイプs: variable_type_optional | variable_types_optional = {}) -> None:
        """
        数式の抽象構文木を表現するクラスの初期化。
        
        Parameters
        ----------
        証明 : 証明クラス
            証明に関する情報。
        表現 : str
            解析する数式の文字列。
        主張演算子 : List[symbol_type], optional
            断定する関数のリスト。デフォルトは空のリスト。
        変数のタイプs : Union[variable_type_optional, variable_types_optional], optional
            変数の型情報。デフォルトは空の辞書。
        """
        ...
    @staticmethod
    def 取得する_プロット可能な条件リスト(抽象構文木: astElement, すべての変数s: variables, 条件s: list[astElement] = []) -> list[astElement]:
        """
        抽象構文木(ast)からプロット可能な条件を抽出する。
        
        Parameters
        ----------
        抽象構文木 : astElement
            解析対象の抽象構文木
        すべての変数s : variables
            すべての変数
        条件s : List[astElement], optional
            既存の条件のリスト。最初は空のリスト。
        
        Returns
        -------
        List[astElement]
            プロット可能な条件のリスト。
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        抽象構文木をテキスト形式で取得する。
        
        Returns
        -------
        str
            抽象構文木のテキスト形式。
        """
        ...
    @property
    def 抽象構文木_因数分解のための整形された不等式(self) -> astElement:
        """
        数式を因数分解のための形式に変換した抽象構文木を返す。
        
        Returns
        -------
        astElement
            因数分解のために整形された抽象構文木。
        """
        ...
    @property
    def 評価(self) -> astElement:
        """
        数式の抽象構文木を評価した結果を返す。
        
        Returns
        -------
        astElement
            評価された抽象構文木。
        """
        ...
    @property
    def 要素(self) -> astElement:
        """
        このインスタンスの数式の抽象構文木を返す。
        
        Returns
        -------
        astElement
            抽象構文木。
        """
        ...
    @property
    def 要素_未評価(self) -> astElement:
        """
        このインスタンスの数式の未評価の抽象構文木を返す。
        
        Returns
        -------
        astElement
            未評価の抽象構文木。
        """
        ...
    @property
    def 要素s(self) -> list[str]:
        """
        数式の要素を取得する。
        
        Returns
        -------
        List[str]
            数式の要素のリスト。
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        式中の変数を取得する。
        
        Returns
        -------
        set[str]
            式中で使用される変数の名前を含む集合。
        """
        ...
    def 検証する_演算(self, 検証対象の関数: list[symbol_type], 逆順で検索をするか: bool = False) -> 抽象構文木クラス:
        """
        数式に対して機能を適用する。
        
        Parameters
        ----------
        検証対象の演算 : List[symbol_type]
            検証する演算のリスト。
        逆順で検索をするか : bool, optional
            逆順で検索するかどうか。デフォルトは False。
        
        Returns
        -------
        抽象構文木クラス
            自分自身を返す。
        """
        ...
    def 取得する_べき乗項(self, 抽象構文木: astElement | None = None) -> list[str]:
        """
        指定された抽象構文木からべき乗の項を抽出する。
        
        Parameters
        ----------
        抽象構文木 : astElement or None, optional
            解析対象の抽象構文木。Noneの場合は、elementプロパティを使用する。
        
        Returns
        -------
        List[str]
            べき乗の項のリスト。
        """
        ...
    def 取得する_末端の葉s(self, 抽象構文木: astElement | None = None, 葉のタイプ: list[symbol_relation_type] = [], 葉s: list[astElement] = []) -> list[astElement]:
        """
        抽象構文木の末端のノードを取得する。
        
        Parameters
        ----------
        抽象構文木 : astElement or None, optional
            解析する抽象構文木。Noneの場合は、「抽象構文木_因数分解のための整形された不等式」を使用する。
        葉のタイプ : List[symbol_relation_type], optional
            取得する末端ノードのタイプのリスト。最初は空のリスト。
        葉s : List[astElement], optional
            既存の末端ノードのリスト。最初は空のリスト。
        
        Returns
        -------
        List[astElement]
            末端のノードのリスト。
        """
        ...

 ##### ./wip/src/ax.py #####

class 座標クラス(座標ベースクラス):
    """
    2Dグラフ描画用のクラス
    """

    def __init__(self, 図形: 図形クラス, 座標: Any) -> None:
        """
        Axクラスの初期化。
        
        Parameters
        ----------
        図形 : 図形クラス
            Figureオブジェクト。
        座標 : Any
            Axisオブジェクト。
        """
        ...
    def 設定する_凡例(self) -> 座標クラス: ...
    def 追加する_グリッド(self) -> 座標クラス: ...
    def プロットする_散布点(self, データ: list[Position] | Positions_list, 色: plot_color | hex_rgb) -> 座標クラス: ...
    def プロットする_散布の式(self, データ: list[Position_x] | Positions_list_x, 式: 式クラス | str | float | int | NativeFraction, 変数: str, 色: plot_color | hex_rgb = 'black', ラベル: str = '') -> 座標クラス: ...
    def プロットする_条件(self, 条件: SymbolCondition, 軸s: list[str] | None = None, 色: hsla | None = None) -> 座標クラス: ...
    def プロットする_直線の式(self, 式: 式クラス | str | float | int | NativeFraction, 変数: str, 色: hsla = (220, 100, 50), ラベル: str = '') -> 座標クラス: ...
    def リセットする_範囲(self, 範囲: plotRange_2d) -> 座標クラス:
        """
            グラフ範囲の設定
        
        注意:
            再設定は、エリアの追加前にする必要がある。
        """
        ...
    def リセットする_プロットのプロパティ(self, プロパティ: Literal['dot_radius', 'line_width', 'z_oder'], 値: float | int) -> 座標クラス: ...
    def リセットする_タイトル(self, タイトル: str) -> 座標クラス:
        """
            グラフ範囲の設定
        
        注意:
            再設定は、エリアの追加前にする必要がある。
        """
        ...
    def リセットする_ラベル(self, ラベルs: tuple[str, str]) -> 座標クラス: ...

 ##### ./wip/src/complex_condition.py #####

class 複合条件クラス:
    """
    等式、不等式、否定等号の論理結合
    """

    def __init__(self, 証明: 証明クラス, 表現: str) -> None:
        """
        ComplexConditionクラスを初期化します。
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト。
        表現 : str
            式の文字列表現。
        """
        ...
    def __and__(self, その他: bool | symbol_condition) -> symbol_condition:
        """
        論理積演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象。
        
        Returns
        -------
        symbol_condition
            論理積の結果。
        """
        ...
    def __eq__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        等価演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象。
        
        Returns
        -------
        数理的ブールクラス
            等価比較の結果。
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        フォーマット演算子。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定。
        
        Returns
        -------
        str
            フォーマットされた文字列。
        """
        ...
    def __ge__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        より大きいまたは等しい演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象。
        
        Returns
        -------
        数理的ブールクラス
            比較の結果。
        """
        ...
    def __gt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        より大きい演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象。
        
        Returns
        -------
        数理的ブールクラス
            比較の結果。
        """
        ...
    def __invert__(self) -> symbol_condition:
        """
        論理否定演算子。
        
        Returns
        -------
        symbol_condition
            論理否定の結果。
        """
        ...
    def __le__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        より小さいまたは等しい演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象。
        
        Returns
        -------
        数理的ブールクラス
            比較の結果。
        """
        ...
    def __lshift__(self, その他: SymbolCondition) -> 数理命題クラス:
        """
        左シフト演算子。
        
        Parameters
        ----------
        その他 : SymbolCondition
            演算対象。
        
        Returns
        -------
        数理命題クラス
            左シフトの結果。
        """
        ...
    def __lt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        より小さい演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象。
        
        Returns
        -------
        数理的ブールクラス
            比較の結果。
        """
        ...
    def __ne__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        不等価演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象。
        
        Returns
        -------
        数理的ブールクラス
            比較の結果。
        """
        ...
    def __or__(self, その他: bool | symbol_condition) -> symbol_condition:
        """
        論理和演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象。
        
        Returns
        -------
        symbol_condition
            論理和の結果。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[数理的ブールクラス]) -> 数理的ブールクラス:
        """
        キャストのための右シフト演算子。
        
        Parameters
        ----------
        タイプ : type_from_term_inequation
            キャストする型。
        
        Returns
        -------
        symbol_condition
            キャストされた条件。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v1クラス]) -> 不等式_v1クラス:
        """
        Right shift operator for casting.
        
        Parameters
        ----------
        タイプ : type_from_term_inequation
            The type to cast to.
        
        Returns
        -------
        symbol_condition
            The casted condition.
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v2クラス]) -> 不等式_v2クラス:
        """
        右シフト演算子をオーバーロードして、指定されたタイプにキャストします。
        
        Parameters
        ----------
        タイプ : type_from_term_inequation
            キャスト先のタイプ。
        
        Returns
        -------
        symbol_condition
            キャストされたオブジェクト。
        
        Raises
        ------
        AssertionError
            サポートされていないタイプが指定された場合に発生します。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[不等式クラス]) -> 不等式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v1クラス]) -> 複合条件_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v2クラス]) -> 複合条件_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件クラス]) -> 複合条件クラス: ...
    @overload
    def __rshift__(self, タイプ: type[方程式クラス]) -> 方程式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[非等号クラス]) -> 非等号クラス: ...
    @property
    def テキスト(self) -> str:
        """
        オブジェクトのテキスト表現を返します。
        
        Returns:
            str: テキスト表現。
        """
        ...
    @property
    def 論理ツリー(self) -> マークダウンコンテンツクラス:
        """
        論理ツリーの内容を返します。
        
        Returns:
            マークダウンコンテンツクラス: 論理ツリーの内容。
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        オブジェクトが含む変数のセットを返します。
        
        Returns:
            set[str]: 変数のセット。
        """
        ...
    def キャスト可能なタイプ(self) -> list[type_from_term_inequation]:
        """
        キャスト可能なタイプのリストを返します。
        
        Returns:
            List[type_from_term_inequation]: キャスト可能なタイプのリスト。
        """
        ...
    def キャストできるか(self, タイプ: type_from_term_inequation) -> 数理的ブールクラス:
        """
        指定されたタイプにキャストできるかどうかを判定します。
        
        Args:
            タイプ (type_from_term_inequation): 判定するタイプ。
        
        Returns:
            数理的ブールクラス: キャスト可能かどうかの結果。
        """
        ...
    def 表示する(self) -> 複合条件クラス:
        """
        複雑な条件を表示します。
        
        Returns:
            複合条件クラス: 複雑な条件の表示。
        """
        ...
    def 表示する_論理ツリー(self) -> 複合条件クラス:
        """
        論理ツリーを表示します。
        
        Returns:
            複合条件クラス: 論理ツリーの表示。
        """
        ...
    def 作成する_図(self, プロット範囲s: plotRange | plotRanges | plotRange_2d | None, アルファベット順の軸のオーダー: bool = True, タイトル: str = '') -> 図形クラス:
        """
        指定されたプロット範囲と設定に基づいて図を作成します。
        
        Args:
            プロット範囲s (Union[plotRange, plotRanges, plotRange_2d, None]): プロット範囲。
            アルファベット順の軸のオーダー (bool): 軸をアルファベット順に並べるかどうか。
            タイトル (str): 図のタイトル。
        
        Returns:
            図形クラス: 作成された図。
        """
        ...
    def プロットする(self, プロット範囲s: plotRange | plotRanges | plotRange_2d | None, アルファベット順の軸のオーダー: bool = True, タイトル: str = '') -> 複合条件クラス:
        """
        指定されたプロット範囲と設定に基づいてプロットを作成します。
        
        Args:
            プロット範囲s (Union[plotRange, plotRanges, plotRange_2d, None]): プロット範囲。
            アルファベット順の軸のオーダー (bool): 軸をアルファベット順に並べるかどうか。
            タイトル (str): プロットのタイトル。
        
        Returns:
            複合条件クラス: 作成されたプロット。
        """
        ...

class 複合条件_v1クラス(複合条件クラス):
    """
    方程式、不等式、および否定等式を単一変数で論理的に組み合わせたもの。
    """

    def __init__(self, 証明: 証明クラス, 表現: str) -> None:
        """
        ComplexCondition_v1クラスを初期化します。
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト。
        表現 : str
            式の文字列表現。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[数理的ブールクラス]) -> 数理的ブールクラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v1クラス]) -> 不等式_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v2クラス]) -> 不等式_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式クラス]) -> 不等式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v1クラス]) -> 複合条件_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v2クラス]) -> 複合条件_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件クラス]) -> 複合条件クラス: ...
    @overload
    def __rshift__(self, タイプ: type[方程式クラス]) -> 方程式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[非等号クラス]) -> 非等号クラス: ...
    def __sub__(self, 式: 複合条件_v1クラス) -> 複合条件_v1クラス | 方程式クラス:
        """
        Subtraction operator.
        
        Parameters
        ----------
        式 : 複合条件_v1クラス
            The formula to subtract.
        
        Returns
        -------
        Union[複合条件_v1クラス, 方程式クラス]
            The result of the subtraction.
        """
        ...
    @property
    def 範囲(self) -> markdown_str:
        """
        範囲を返します。
        
        Returns
        -------
        markdown_str
            範囲のマークダウン形式の文字列。
        """
        ...
    def キャスト可能なタイプ(self) -> list[type_from_term_inequation]:
        """
        キャスト可能なタイプのリストを返します。
        
        Returns
        -------
        List[type_from_term_inequation]
            キャスト可能なタイプのリスト。
        """
        ...
    def 取得する_整数のセット(self, セット限界: int = 1000) -> set[int]:
        """
        整数のセットを取得します。
        
        Parameters
        ----------
        セット限界 : int, default 1000
            取得するセットの最大値。
        
        Returns
        -------
        set[int]
            取得した整数のセット。
        """
        ...
    def 取得できるか_整数のセット(self, セット限界: int = 1000, エラーを発生させるべきか: bool = False) -> bool:
        """
        整数のセットが取得できるかどうかを判定します。
        
        Parameters
        ----------
        セット限界 : int, default 1000
            取得するセットの最大値。
        エラーを発生させるべきか : bool, default False
            エラーが発生した場合に例外を投げるかどうか。
        
        Returns
        -------
        bool
            整数のセットが取得できる場合はTrue、そうでない場合はFalseを返します。
        """
        ...
    def 表示する_範囲(self) -> 複合条件_v1クラス:
        """
        表示する範囲を返します。
        
        Returns
        -------
        複合条件_v1クラス
            表示する範囲の条件。
        """
        ...

class 複合条件_v2クラス(複合条件クラス):
    """
    ２変数のみの等式、不等式、否定等号の論理結合
    """

    def __init__(self, 証明: 証明クラス, 表現: str) -> None:
        """
        Initialize the 複合条件_v2クラス class.
        
        Parameters
        ----------
        証明 : 証明クラス
            The proof object.
        表現 : str
            The string representation of the expression.
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[数理的ブールクラス]) -> 数理的ブールクラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v1クラス]) -> 不等式_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v2クラス]) -> 不等式_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式クラス]) -> 不等式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v1クラス]) -> 複合条件_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v2クラス]) -> 複合条件_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件クラス]) -> 複合条件クラス: ...
    @overload
    def __rshift__(self, タイプ: type[方程式クラス]) -> 方程式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[非等号クラス]) -> 非等号クラス: ...
    def キャスト可能なタイプ(self) -> list[type_from_term_inequation]:
        """
        キャスト可能なタイプのリストを返します。
        
        Returns
        -------
        List[type_from_term_inequation]
            キャスト可能なタイプのリスト。
        """
        ...

 ##### ./wip/src/conditional.py #####

class 命題クラス(metaclass=ABCMeta):
    """
    命題を取り扱う親クラス
    """

    def __init__(self, 十分条件: str, 必要条件: str, 十分条件の真偽: bool = True, 必要条件の真偽: bool = True) -> None:
        """
        Conditionalクラスのコンストラクタ。
        
        Parameters
        ----------
        十分条件 : str
            十分条件を示す文字列。
        必要条件 : str
            必要条件を示す文字列。
        十分条件_bool : bool, optional
            十分条件が真かどうかを示すフラグ, by default True。
        必要条件_bool : bool, optional
            必要条件が真かどうかを示すフラグ, by default True。
        """
        ...
    @property
    @abstractmethod
    def 裏(self) -> 命題クラス:
        """
        裏命題を返します。
        
        Returns
        -------
        命題クラス
            裏命題のオブジェクト。
        """
        ...
    @property
    @abstractmethod
    def 逆(self) -> 命題クラス:
        """
        逆命題を返します。
        
        Returns
        -------
        命題クラス
            逆命題のオブジェクト。
        """
        ...
    @property
    @abstractmethod
    def 対偶(self) -> 命題クラス:
        """
        対偶命題を返します。
        
        Returns
        -------
        命題クラス
            対偶命題のオブジェクト。
        """
        ...
    @property
    @abstractmethod
    def テキスト(self) -> str:
        """
        命題のテキストを返します。
        
        Returns
        -------
        str
            命題のテキスト。
        """
        ...
    @property
    @abstractmethod
    def テキスト_十分条件(self) -> str:
        """
        十分条件のテキストを返します。
        
        Returns
        -------
        str
            十分条件のテキスト。
        """
        ...
    @property
    @abstractmethod
    def テキスト_必要条件(self) -> str:
        """
        必要条件のテキストを返します。
        
        Returns
        -------
        str
            必要条件のテキスト。
        """
        ...
    @property
    @abstractmethod
    def 反対(self) -> 命題クラス:
        """
        反対命題を返します。
        
        Returns
        -------
        命題クラス
            反対命題のオブジェクト。
        """
        ...
    @property
    def テキスト_裏(self) -> str:
        """
        裏命題のテキストを返します。
        
        Returns
        -------
        str
            裏命題のテキスト。
        """
        ...
    @property
    def テキスト_逆(self) -> str:
        """
        逆命題のテキストを返します。
        
        Returns
        -------
        str
            逆命題のテキスト。
        """
        ...
    @property
    def テキスト_対偶(self) -> str:
        """
        対偶命題のテキストを返します。
        
        Returns
        -------
        str
            対偶命題のテキスト。
        """
        ...
    @property
    def テキスト_反対(self) -> str:
        """
        反対命題のテキストを返します。
        
        Returns
        -------
        str
            反対命題のテキスト。
        """
        ...
    def 追加する_接尾辞(self, セグメント_インデックス: Literal[0, 1], 意見: bool) -> str:
        """
        意見に基づいて接尾辞を追加します。
        
        Parameters
        ----------
        セグメント_インデックス : Literal[0, 1]
            セグメントのインデックス。
        意見 : bool
            意見が真かどうか。
        
        Returns
        -------
        str
            接尾辞を追加した文字列。
        """
        ...
    def 分析する_戦略(self) -> 命題クラス:
        """
        命題の解析戦略を実行します。
        
        Returns
        -------
        命題クラス
            自身のオブジェクト。
        """
        ...

 ##### ./wip/src/designed_float.py #####

class 浮動小数クラス:
    """
    designed mathモジュールの浮動小数を表すクラス
    """

    def __init__(self, 証明: 証明クラス, 表現: float) -> None:
        """
        Floatクラスのコンストラクタ。
        
        Parameters
        ----------
        証明 : 証明クラス
            証明を含むオブジェクト。
        表現 : float
            表現する浮動小数点数。
        """
        ...
    def __eq__(self, その他: term_) -> 数理的ブールクラス | 方程式クラス:
        """
        等式の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 方程式クラス]
            評価結果のオブジェクト。
        """
        ...
    def __ne__(self, その他: term_) -> 数理的ブールクラス | 非等号クラス:
        """
        不等式の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 非等号クラス]
            評価結果のオブジェクト。
        """
        ...
    def __lt__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        小なり関係の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            評価結果のオブジェクト。
        """
        ...
    def __le__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        以下関係の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            評価結果のオブジェクト。
        """
        ...
    def __gt__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        大なり関係の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            評価結果のオブジェクト。
        """
        ...
    def __ge__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        以上関係の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            評価結果のオブジェクト。
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        指定されたフォーマットで数式を文字列に変換します。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定。
        
        Returns
        -------
        str
            フォーマットされた文字列。
        """
        ...
    @overload
    def __add__(self, 式: float | int | 浮動小数クラス | 整数クラス | 分数クラス) -> 浮動小数クラス:
        """
        加算演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[整数クラス, int, 浮動小数クラス, float, 分数クラス, 式クラス]
            加算対象の項。
        
        Returns
        -------
        Union[浮動小数クラス, 式クラス]
            加算結果のオブジェクト。
        """
        ...
    @overload
    def __add__(self, 式: 式クラス) -> 式クラス: ...
    @overload
    def __sub__(self, 式: 整数クラス | int | 浮動小数クラス | float | 分数クラス) -> 浮動小数クラス:
        """

        """
        ...
    @overload
    def __sub__(self, 式: 式クラス) -> 式クラス: ...
    def __neg__(self) -> 浮動小数クラス:
        """
        単項マイナス演算子のオーバーロード。
        
        Returns
        -------
        浮動小数クラス
            符号を反転した結果のオブジェクト。
        """
        ...
    @overload
    def __mul__(self, 式: 整数クラス | int | 浮動小数クラス | float | 分数クラス) -> 浮動小数クラス:
        """
        乗算演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[整数クラス, int, 浮動小数クラス, float, 分数クラス, 式クラス]
            乗算対象の項。
        
        Returns
        -------
        Union[浮動小数クラス, F
        """
        ...
    @overload
    def __mul__(self, 式: 式クラス) -> 式クラス: ...
    @overload
    def __truediv__(self, 式: 整数クラス | int | 浮動小数クラス | float | 分数クラス) -> 浮動小数クラス:
        """
        除算演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[整数クラス, int, 浮動小数クラス, float, 分数クラス, 式クラス]
            除算対象の項。
        
        Returns
        -------
        Union[浮動小数クラス, 式クラス]
            除算結果のオブジェクト。
        """
        ...
    @overload
    def __truediv__(self, 式: 式クラス) -> 式クラス: ...
    @overload
    def __mod__(self, 式: 整数クラス | int | 浮動小数クラス | float | 分数クラス) -> 浮動小数クラス:
        """

        """
        ...
    @overload
    def __mod__(self, 式: 式クラス) -> 式クラス:
        """

        """
        ...
    @overload
    def __floordiv__(self, 式: 整数クラス | int | 浮動小数クラス | float | 分数クラス) -> 整数クラス:
        """

        """
        ...
    @overload
    def __floordiv__(self, 式: 式クラス) -> 式クラス:
        """

        """
        ...
    def __pow__(self, 式: 式クラス | float | int | 分数クラス | 整数クラス | 浮動小数クラス) -> 式クラス:
        """
        冪乗演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[式クラス, float, int, 分数クラス, 整数クラス, 浮動小数クラス]
            冪乗対象の項。
        
        Returns
        -------
        式クラス
            冪乗結果のオブジェクト。
        """
        ...
    def __radd__(self, 式: float | int) -> 浮動小数クラス:
        """
        右辺からの加算演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[float, int]
            加算対象の項。
        
        Returns
        -------
        浮動小数クラス
            加算結果のオブジェクト。
        """
        ...
    def __rsub__(self, 式: float | int) -> 浮動小数クラス:
        """
        右辺からの減算演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[float, int]
            減算対象の項。
        
        Returns
        -------
        浮動小数クラス
            減算結果のオブジェクト。
        """
        ...
    def __rmul__(self, 式: float | int) -> 浮動小数クラス:
        """
        右辺からの乗算演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[float, int]
            乗算対象の項。
        
        Returns
        -------
        浮動小数クラス
            乗算結果のオブジェクト。
        """
        ...
    def __rtruediv__(self, 式: float | int) -> 浮動小数クラス:
        """
        右辺からの除算演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[float, int]
            除算対象の項。
        
        Returns
        -------
        浮動小数クラス
            除算結果のオブジェクト。
        """
        ...
    def __rpow__(self, 式: float | int) -> 式クラス:
        """
        右辺からの冪乗演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[float, int]
            冪乗対象の項。
        
        Returns
        -------
        式クラス
            冪乗結果のオブジェクト。
        """
        ...
    def __rmod__(self, 式: float | int) -> 浮動小数クラス:
        """
        右辺からの剰余演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[float, int]
            剰余対象の項。
        
        Returns
        -------
        浮動小数クラス
            剰余結果のオブジェクト。
        """
        ...
    def __rfloordiv__(self, 式: float | int) -> 整数クラス:
        """
        右辺からの床関数除算演算子のオーバーロード。
        
        Parameters
        ----------
        式 : Union[float, int]
            床関数除算対象の項。
        
        Returns
        -------
        整数クラス
            床関数除算結果のオブジェクト。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[整数クラス]) -> 整数クラス:
        """
        右シフト演算子のオーバーロード。
        
        Parameters
        ----------
        タイプ : Union[type[整数クラス], type[式クラス], type[分数クラス]]
            キャスト先のタイプ。
        
        Returns
        -------
        Union[式クラス, 整数クラス, 分数クラス]
            キャスト結果のオブジェクト。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[式クラス]) -> 式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[分数クラス]) -> 分数クラス: ...
    @property
    def 数字(self) -> float:
        """
        数値を返します。
        
        Returns
        -------
        float
            数値。
        """
        ...
    @property
    def 次数(self) -> int:
        """
        式の最大の次数を返します。
        
        Returns
        -------
        int
            式の最大の次数。
        
        注意
        ----
        整数多項式以外は、正しい結果を返さない。
        例）(x**2 + (1/x)**5) -> 5
        """
        ...
    @property
    def 整数か(self) -> bool | None:
        """
        数値が整数かどうかを判定します。
        
        Returns
        -------
        Union[bool, None]
            整数の場合はTrue、そうでない場合はFalse。判定できない場合はNone。
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        数式のテキストを返します。
        
        Returns
        -------
        str
            数式のテキスト。
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        数式中の変数のセットを返します。
        
        Returns
        -------
        set[str]
            変数のセット。
        """
        ...
    @property
    def 抽象構文木(self) -> 抽象構文木クラス:
        """
        抽象構文木（AST）を返します。
        
        Returns
        -------
        抽象構文木クラス
            抽象構文木のオブジェクト。
        """
        ...
    def キャスト可能か(self, タイプ: type[整数クラス] | type[分数クラス]) -> bool:
        """
        指定されたタイプにキャストできるかどうかを判定します。
        
        Parameters
        ----------
        タイプ : Union[type[整数クラス], type[分数クラス]]
            キャスト先のタイプ。
        
        Returns
        -------
        bool
            キャストできる場合はTrue、できない場合はFalse。
        """
        ...
    def 取得する_係数s(self, フォーカス変数: str, 整数に制限するべきですか: bool = False) -> list[浮動小数クラス]:
        """
        指定された変数に対する係数を取得します。
        
        Parameters
        ----------
        フォーカス変数 : str
            係数を取得する変数。
        整数に制限するべきですか : bool, optional
            係数を整数に制限するかどうか, by default False。
        
        Returns
        -------
        List[浮動小数クラス]
            取得した係数のリスト。
        """
        ...
    def 表示する(self) -> 浮動小数クラス:
        """
        式を表示します。
        
        Returns
        -------
        浮動小数クラス
            自身のオブジェクト。
        """
        ...

 ##### ./wip/src/designed_range.py #####

class 範囲クラス:
    """
    等式、不等式、非等号の論理結合による実数の範囲を表すクラス
    """

    def __init__(self, 証明: 証明クラス, 表現: str) -> None:
        """
        Rangeクラスのコンストラクタ。
        
        Parameters
        ----------
        証明 : 証明クラス
            証明を含むオブジェクト。
        表現 : str
            表現する文字列。
        
        """
        ...
    def __and__(self, 式: 範囲クラス) -> 集合クラス | 範囲クラス:
        """
        範囲の論理積を計算します。
        
        Parameters
        ----------
        式 : 範囲クラス
            論理積を計算する範囲。
        
        Returns
        -------
        Union[集合クラス, 範囲クラス]
            計算結果の範囲または集合。
        """
        ...
    def __eq__(self, 式: 範囲クラス) -> bool:
        """
        範囲が等しいかどうかを判定します。
        
        Parameters
        ----------
        式 : 範囲クラス
            比較する範囲。
        
        Returns
        -------
        bool
            等しい場合はTrue、そうでない場合はFalse。
        """
        ...
    def __format__(self, __format_spec: str) -> markdown_str:
        """
        範囲を指定された形式でフォーマットする。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定子。
        
        Returns
        -------
        markdown_str
            フォーマットされた範囲のマークダウン文字列。
        """
        ...
    def __ge__(self, 式: 範囲クラス) -> bool:
        """
        範囲が他の範囲の上位集合または等しいかどうかを判定する。
        
        Parameters
        ----------
        式 : 範囲クラス
            比較する範囲。
        
        Returns
        -------
        bool
            上位集合または等しい場合はTrue、そうでない場合はFalse。
        """
        ...
    def __gt__(self, 式: 範囲クラス) -> bool:
        """
        範囲が他の範囲の上位集合かどうかを判定する。
        
        Parameters
        ----------
        式 : 範囲クラス
            比較する範囲。
        
        Returns
        -------
        bool
            上位集合の場合はTrue、そうでない場合はFalse。
        """
        ...
    def __le__(self, 式: 範囲クラス) -> bool:
        """
        範囲が他の範囲の部分集合または等しいかどうかを判定する。
        
        Parameters
        ----------
        式 : 範囲クラス
            比較する範囲。
        
        Returns
        -------
        bool
            部分集合または等しい場合はTrue、そうでない場合はFalse。
        """
        ...
    def __lt__(self, 式: 範囲クラス) -> bool:
        """
        範囲が他の範囲の部分集合かどうかを判定します。
        
        Parameters
        ----------
        式 : 範囲クラス
            比較する範囲。
        
        Returns
        -------
        bool
            部分集合の場合はTrue、そうでない場合はFalse。
        """
        ...
    def __ne__(self, 式: 範囲クラス) -> bool:
        """
        範囲が等しくないかどうかを判定します。
        
        Parameters
        ----------
        式 : 範囲クラス
            比較する範囲。
        
        Returns
        -------
        bool
            等しくない場合はTrue、そうでない場合はFalse。
        """
        ...
    def __or__(self, 式: 範囲クラス) -> 集合クラス | 範囲クラス:
        """
        範囲の論理和を計算します。
        
        Parameters
        ----------
        式 : 範囲クラス
            論理和を計算する範囲。
        
        Returns
        -------
        Union[集合クラス, 範囲クラス]
            計算結果の範囲または集合。
        """
        ...
    def __sub__(self, 式: 範囲クラス) -> 集合クラス | 範囲クラス:
        """
        範囲の差集合を計算します。
        
        Parameters
        ----------
        式 : 範囲クラス
            差集合を計算する範囲。
        
        Returns
        -------
        Union[集合クラス, 範囲クラス]
            計算結果の範囲または集合。
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        範囲のテキストを返します。
        
        Returns
        -------
        str
            範囲のテキスト。
        """
        ...
    @property
    def 抽象構文木(self) -> 抽象構文木クラス:
        """
        抽象構文木（AST）を返します。
        
        Returns
        -------
        抽象構文木クラス
            抽象構文木のオブジェクト。
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        範囲に含まれる変数のセットを返します。
        
        Returns
        -------
        set[str]
            範囲に含まれる変数のセット。
        """
        ...
    def 集合化する(self, 変数: str) -> 集合クラス:
        """
        範囲を集合として表現します。
        
        Parameters
        ----------
        変数 : str
            集合として表現する変数。
        
        Returns
        -------
        集合クラス
            集合として表現された範囲。
        """
        ...
    def 取得可能か_整数集合(self, 抽象構文木: astElement | None = None, 集合限界: int = 1000, エラーを発生させるべき: bool = False) -> bool:
        """
        範囲内の整数集合を取得可能かどうかを判定します。
        
        Parameters
        ----------
        抽象構文木 : Union[astElement, None], optional
            抽象構文木, by default None。
        集合限界 : int, optional
            集合の要素数の上限, by default 1000。
        エラーを発生させるべき : bool, optional
            エラーを発生させるべきかどうか, by default False。
        
        Returns
        -------
        bool
            取得可能な場合はTrue、そうでない場合はFalse。
        """
        ...
    def 取得する_整数集合(self, 抽象構文木: astElement | None = None, 集合限界: int = 1000) -> set[int]:
        """
        範囲内の整数集合を取得します。
        
        Parameters
        ----------
        抽象構文木 : Union[astElement, None], optional
            抽象構文木, by default None。
        集合限界 : int, optional
            集合の要素数の上限, by default 1000。
        
        Returns
        -------
        set[int]
            取得した整数集合。
        """
        ...
    def 表示する(self) -> 範囲クラス:
        """
        範囲を表示します。
        
        Returns
        -------
        範囲クラス
            自身のオブジェクト。
        """
        ...

 ##### ./wip/src/designed_set.py #####

class 集合クラス:
    """
    ネイティブ_セット : set[int]
        The set of elements converted to integers (Japanese alias).
    テキスト : str
        The string representation of the set (Japanese alias).
    designed mathモジュールにおける集合を表すクラス。
    要素は基本的に、整数。
    """

    def __init__(self, 証明: 証明クラス, 表現: express_str | express_str_set | express_int_set | express_float_set = set()) -> None: ...
    @property
    def テキスト(self) -> str:
        """
        集合を表すテキストを返します。
        
        Returns
        -------
        str
            集合を表すテキスト。
        """
        ...
    @property
    def ネイティブ_セット(self) -> set[int]:
        """
        集合のネイティブなセットを返します。
        
        Returns
        -------
        set[int]
            ネイティブな整数のセット。
        """
        ...
    def 表示する(self) -> 集合クラス:
        """
        集合を表示します。
        
        Returns
        -------
        集合クラス
            自身のオブジェクト。
        """
        ...
express_str = str
express_str_set = set[str]
express_int_set = set[int]
express_float_set = set[float]

 ##### ./wip/src/diophantine_equation_utils.py #####

class 不定方程式ユーティルクラス:
    """
    不定方程式を解くためのユーティリティクラス
    次数(dimensionのd), 変数(variableのv)でそれぞれ使い分ける。
    """

    @staticmethod
    def 取得する_不定方程式の解の範囲(方程式: 方程式クラス, 証明: 証明クラス, 変数サイズの順序: list[str], 厳密な順序かい: bool = False, セクション_タイトル: str = '不定方程式の解の範囲', セクション_ID: str = '取得する_不定方程式の解の範囲') -> list[不等式クラス]:
        """
        不定方程式の解の範囲を取得する。
        
        Parameters
        ----------
        方程式 : 方程式クラス
            解くべき方程式。
        証明 : 証明クラス
            証明オブジェクト。
        変数サイズの順序 : List[str]
            変数のサイズ順序。
        厳密な順序かい : bool, default False
            順序が厳密かどうか。
        セクション_タイトル : str, default "不定方程式の解の範囲"
            セクションのタイトル。
        セクション_ID : str, default "取得する_不定方程式の解の範囲"
            セクションのID。
        
        Returns
        -------
        List[不等式クラス]
            不定方程式の解の範囲。
        """
        ...
    @staticmethod
    def 解く_急増する各辺の差の等式(方程式: 方程式クラス, 証明: 証明クラス, スキャン範囲: tuple[int, int] = (0, 10), セクション_タイトル: str = '解く_急増する各辺の差の等式の解法', セクション_ID: str = '解く_急増する各辺の差の等式') -> 解sクラス: ...
    @staticmethod
    def 解く_対称不定方程式(方程式: 方程式クラス, 証明: 証明クラス, 変数サイズの順序: list[str] = [], 厳密な順序かい: bool = False, セクション_タイトル: str = '対称式の不定方程式の解', セクション_ID: str = '解く_対称不定方程式') -> ベクトル解sクラス | None:
        """
        対称不定方程式を解く。
        
        注意
        ----------
        変数の大小関係の引数に柔軟に対応する拡張が必要かも。現実装は、対応範囲が狭い。
        解が自然数に限る。
        
        Parameters
        ----------
        方程式 : 方程式クラス
            解くべき方程式。
        証明 : 証明クラス
            証明オブジェクト。
        変数サイズの順序 : List[str], default []
            変数の大小関係。
        厳密な順序かい : bool, default False
            順序が厳密かどうか。
        セクション_タイトル : str, default "対称式の不定方程式の解"
            セクションのタイトル。
        セクション_ID : str, default "解く_対称不定方程式"
            セクションのID。
        
        Returns
        -------
        Union[ベクトル解sクラス, None]
            不定方程式の解のセット。
        """
        ...
    @staticmethod
    def 解く_分解型の不定方程式_d1_v2(方程式: 方程式クラス, 証明: 証明クラス, セクション_タイトル: str = '１次２変数の不定方程式(分解型)の解', セクション_ID: str = '解く_分解型の不定方程式_d1_v2') -> ベクトル解sクラス: ...
    @staticmethod
    def 解く_分解型の不定方程式_d2_v2(方程式: 方程式クラス, 証明: 証明クラス, 自然数かい: bool = False, セクション_タイトル: str = '２次２変数の不定方程式(分解型)の解', セクション_ID: str = '解く_分解型不定方程式_d2_v2') -> ベクトル解sクラス: ...
    @staticmethod
    def 解く_不定方程式_d1_v2(方程式: 方程式クラス, 証明: 証明クラス, パラメータ_シンボル: str = 'k_', 検索範囲: tuple[int, int] = (-5, 5), セクション_タイトル: str = '１次２変数の不定方程式の解', セクション_ID: str = '解く_不定方程式_d1_v2') -> ベクトル方程式クラス: ...
    @staticmethod
    def 解く_不定方程式_和差の積型(証明: 証明クラス, 方程式: add_and_subtract_products_equation, 自然数かい: bool = False, セクション_タイトル: str = '２乗差の不定方程式の解', セクション_ID: str = '解く_不定方程式_和差の積型') -> ベクトル解sクラス:
        """
        和差の積型の不定方程式を解く。
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト。
        方程式 : add_and_subtract_products_equation
            解くべき方程式。
        自然数かい : bool, default False
            自然数のみを考慮するかどうか。
        セクション_タイトル : str, default "２乗差の不定方程式の解"
            セクションのタイトル。
        セクション_ID : str, default "解く_不定方程式_和差の積型"
            セクションのID。
        
        Returns
        -------
        ベクトル解sクラス
            不定方程式の解。
        """
        ...

 ##### ./wip/src/equation.py #####

class 方程式クラス:
    """
    一般的なEquation
    """

    def __init__(self, 証明: 証明クラス, 方程式: str | term_pair) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        証明 : 証明クラス
            証明のためのオブジェクト
        方程式 : Union[str, term_pair]
            方程式の文字列または項のペア
        """
        ...
    def __add__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        この方程式に他の方程式または項を加えます。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            加える方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    def __and__(self, その他: bool | symbol_condition) -> symbol_condition:
        """
        論理ANDの中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        symbol_condition
            結果の論理条件
        """
        ...
    def __eq__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        等価演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理ブール値
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        方程式を文字列としてフォーマットします。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定。
        
        Returns
        -------
        str
            フォーマットされた文字列。
        """
        ...
    def __ge__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        大なりイコール演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理ブール値
        """
        ...
    def __gt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        大なり演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理ブール値
        """
        ...
    def __invert__(self) -> symbol_condition:
        """
        論理NOTの中置演算子
        
        Returns
        -------
        symbol_condition
            結果の論理条件
        """
        ...
    def __le__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        小なりイコール演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理ブール値
        """
        ...
    def __lt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        小なり演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理ブール値
        """
        ...
    def __lshift__(self, その他: SymbolCondition) -> 数理命題クラス:
        """
        ビットシフト演算子
        
        Parameters
        ----------
        その他 : SymbolCondition
            演算対象
        
        Returns
        -------
        数理命題クラス
            結果の数式条件
        """
        ...
    def __mul__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        この方程式に他の方程式または項を掛けます。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            掛ける方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    def __ne__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        不等価演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理ブール値
        """
        ...
    def __neg__(self) -> 分数クラス:
        """
        この方程式の符号を反転させます。
        
        Returns
        -------
        分数クラス
            符号を反転させた方程式。
        """
        ...
    def __or__(self, その他: bool | symbol_condition) -> symbol_condition:
        """
        論理ORの中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        symbol_condition
            結果の論理条件
        """
        ...
    def __pow__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        この方程式を他の方程式または項のべき乗にします。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            べき乗する方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    def __sub__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        この方程式から他の方程式または項を引きます。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            引く方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    def __truediv__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        この方程式を他の方程式または項で割ります。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            割る方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    def __radd__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        他の方程式または項にこの方程式を加えます。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            加える方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    def __rmul__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        他の方程式または項にこの方程式を掛けます。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            掛ける方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    def __rpow__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        他の方程式または項をこの方程式のべき乗にします。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            べき乗する方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[数理的ブールクラス]) -> 数理的ブールクラス:
        """
        方程式を右にシフトします。
        
        Parameters
        ----------
        タイプ : Union[type_from_term_inequation, 説明式クラス, 定義式クラス]
            シフトする型。
        
        Returns
        -------
        Union[symbol_condition, 説明式クラス, 定義式クラス]
            結果の条件または方程式。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v1クラス]) -> 不等式_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v2クラス]) -> 不等式_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式クラス]) -> 不等式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v1クラス]) -> 複合条件_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v2クラス]) -> 複合条件_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件クラス]) -> 複合条件クラス: ...
    @overload
    def __rshift__(self, タイプ: type[定義式クラス]) -> 定義式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[説明式クラス]) -> 説明式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[方程式クラス]) -> 方程式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[非等号クラス]) -> 非等号クラス: ...
    def __rsub__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        他の方程式または項からこの方程式を引きます。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            引く方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    def __rtruediv__(self, 方程式または項: 方程式クラス | Term | int | float | NativeFraction) -> 方程式クラス:
        """
        他の方程式または項をこの方程式で割ります。
        
        Parameters
        ----------
        方程式または項 : Union[方程式クラス, Term, int, float, NativeFraction]
            割る方程式または項。
        
        Returns
        -------
        方程式クラス
            結果の方程式。
        """
        ...
    @property
    def 式s(self) -> tuple[式クラス, 式クラス]:
        """
        式のタプルを取得する。
        
        Returns
        -------
        Tuple[式クラス, 式クラス]
            式のタプル。
        """
        ...
    @property
    def 次数(self) -> int:
        """
        式の最大の次数
        
        注意
        ----------
        整数多項式以外は、正しい結果を返さない。
        例：(x**2 + (1/x)**5) -> 5
        
        Returns
        -------
        int
            式の最大の次数。
        """
        ...
    @property
    def 入力用テキスト(self) -> str:
        """
        入力用のテキスト表現を取得する。
        
        Returns
        -------
        str
            入力用のテキスト表現。
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        式のテキスト表現を取得する。
        
        Returns
        -------
        str
            式のテキスト表現。
        """
        ...
    @property
    def 評価済み(self) -> 方程式クラス | 数理的ブールクラス:
        """
        評価済みの式を取得する。
        
        Returns
        -------
        Union[方程式クラス, 数理的ブールクラス]
            評価済みの式またはシンボリックブール値。
        """
        ...
    @property
    def 表示用テキスト(self) -> str:
        """
        表示用のテキスト表現を取得する。
        
        Returns
        -------
        str
            表示用のテキスト表現。
        """
        ...
    @property
    def 変数(self) -> set[str]:
        """
        式の変数
        
        Returns
        -------
        set[str]
            式に含まれる変数の集合。
        """
        ...
    def 因数分解する(self) -> 方程式クラス:
        """
        式を因数分解する。
        
        Returns
        -------
        方程式クラス
            因数分解された式。
        """
        ...
    def キャスト可能な型(self) -> list[type_from_term_inequation]:
        """
        キャスト可能な型のリストを取得する。
        
        Returns
        -------
        List[type_from_term_inequation]
            キャスト可能な型のリスト。
        """
        ...
    def キャストできるか(self, タイプ: type_from_term_inequation) -> 数理的ブールクラス:
        """
        指定されたタイプにキャストできるかを確認する。
        
        Parameters
        ----------
        タイプ : type_from_term_inequation
            チェックするタイプ。
        
        Returns
        -------
        数理的ブールクラス
            キャスト可能かどうかを示すシンボリックブール値。
        """
        ...
    def 恒等式かい(self) -> bool:
        """
        式が恒等式かどうかを確認する。
        
        Returns
        -------
        bool
            恒等式かどうか。
        """
        ...
    def 作成する_図(self, プロット範囲: plotRange | plotRanges | plotRange_2d | None, アルファベット順軸順: bool = True, タイトル: str = '') -> 図形クラス:
        """
        式の図を作成する。
        
        Parameters
        ----------
        プロット範囲 : Union[plotRange, plotRanges, plotRange_2d, None]
            プロットする範囲。
        
        アルファベット順軸順 : bool, default=True
            軸の順序がアルファベット順かどうか。
        
        タイトル : str, default=""
            図のタイトル。
        
        Returns
        -------
        図形クラス
            作成された図。
        """
        ...
    def 取得する_特殊解_d1_v2(self, 検索範囲: tuple[int, int]) -> dict_int | None:
        """
        特殊解を取得する。
        
        Parameters
        ----------
        検索範囲 : Tuple[int, int]
            特殊解を検索する範囲。
        
        Returns
        -------
        Union[dict_int, None]
            特殊解の辞書またはNone。
        """
        ...
    def 取得する_不定方程式の解の範囲(self, 変数の大小順序: list[str], 厳密な順序かい: bool = False, セクションタイトル: str = '不定方程式の解の範囲', セクションID: str = '取得する_不定方程式の解の範囲') -> list[不等式クラス]:
        """
        不定方程式の解の範囲を取得する。
        
        Parameters
        ----------
        変数の大小順序 : List[str]
            変数の大小関係のリスト。
        
        厳密な順序かい : bool, default=False
            大小関係が厳密かどうか。
        
        セクションタイトル : str, default="不定方程式の解の範囲"
            セクションのタイトル。
        
        セクションID : str, default="取得する_不定方程式の解の範囲"
            セクションのID。
        
        Returns
        -------
        List[不等式クラス]
            不定方程式の解の範囲のリスト。
        """
        ...
    def 代入する(self, 条件: dict_float | dict_int | dict_term | 方程式クラス | 方程式sクラス, 辺: literal_direction | None = None) -> 方程式クラス:
        """
        条件を式に代入する。
        
        Parameters
        ----------
        条件 : Union[dict_float, dict_int, dict_term, 方程式クラス, 方程式sクラス]
            代入する条件。
        
        辺 : Union[literal_direction, None], optional
            代入する辺。
        
        Returns
        -------
        方程式クラス
            条件を代入された式。
        """
        ...
    def 定義式かい(self) -> bool:
        """
        式が定義式かどうかを確認する。
        
        Returns
        -------
        bool
            定義式かどうか。
        """
        ...
    def 解く(self, フォーカスする変数: str | 式クラス) -> ベクトル式クラス:
        """
        式を解く。
        
        Parameters
        ----------
        フォーカスする変数 : Union[str, 式クラス]
            解く対象の変数。
        
        Returns
        -------
        ベクトル式クラス
            解のベクトル。
        """
        ...
    def 解く_急増する各辺の差の等式(self, スキャン範囲: tuple[int, int] = (0, 10), セクションタイトル: str = '急増する各辺の差の等式の解法', セクションID: str = '解く_急増する各辺の差の等式') -> 解sクラス: ...
    def 解く_対称不定方程式(self, 変数の大小順序: list[str] = [], 厳密な順序かい: bool = False, セクションタイトル: str = '対称式の不定方程式の解', セクションID: str = '解く_対称不定方程式') -> ベクトル解sクラス | None:
        """
        対称不定方程式を解く
        
        注意
        ----------
        変数の大小関係の引数に柔軟に対応する拡張が必要かも。現実装は、対応範囲が狭い。
        解が自然数に限る。
        
        Parameters
        ----------
        変数の大小順序 : List[str]
            変数の大小関係。
        
        厳密な順序かい : bool, default=False
            大小関係が厳密か、等号を含むか。
        
        セクションタイトル : str, default="対称式の不定方程式の解"
            セクションのタイトル。
        
        セクションID : str, default="解く_対称不定方程式"
            セクションのID。
        
        Returns
        -------
        Union[ベクトル解sクラス, None]
            不定方程式の解のセット。
        """
        ...
    def 解く_不定方程式_d1_v2(self, パラメータシンボル: str = 'k_', 検索範囲: tuple[int, int] = (-5, 5), セクションタイトル: str = '１次２変数の不定方程式の解', セクションID: str = '解く_不定方程式_d1_v2') -> ベクトル方程式クラス: ...
    def 解く_分解型の不定方程式_d1_v2(self, セクションタイトル: str = '１次２変数の不定方程式(分解型)の解', セクションID: str = '解く_分解型の不定方程式_d1_v2') -> ベクトル解sクラス: ...
    def 解く_分解型不定方程式_d2_v2(self, 自然数かい: bool = False, セクションタイトル: str = '２次２変数の不定方程式(分解型)の解', セクションID: str = '解く_分解型不定方程式_d2_v2') -> ベクトル解sクラス: ...
    def 解く_和差の2乗型の不定方程式(self, 方程式: add_and_subtract_products_equation, 自然数かい: bool = False, セクションタイトル: str = '２乗差の不定方程式の解', セクションID: str = '解く_和差の2乗型の不定方程式') -> ベクトル解sクラス:
        """
        和差の2乗型の不定方程式を解く。
        
        Parameters
        ----------
        方程式 : add_and_subtract_products_equation
            和差の2乗型の不定方程式。
        
        自然数かい : bool, default=False
            解が自然数かどうか。
        
        セクションタイトル : str, default="２乗差の不定方程式の解"
            セクションのタイトル。
        
        セクションID : str, default="解く_和差の2乗型の不定方程式"
            セクションのID。
        
        Returns
        -------
        ベクトル解sクラス
            解のベクトル。
        """
        ...
    def 表示する(self, 無加工かい: bool = True) -> 方程式クラス:
        """
        式を表示する。
        
        Parameters
        ----------
        無加工かい : bool, default=True
            式を無加工で表示するかどうか。
        
        Returns
        -------
        方程式クラス
            表示用に加工された式。
        """
        ...
    def プロットする(self, プロット範囲: plotRange | plotRanges | plotRange_2d | None, アルファベット順軸順: bool = True, タイトル: str = '') -> SymbolCondition:
        """
        式をプロットする。
        
        Parameters
        ----------
        プロット範囲 : Union[plotRange, plotRanges, plotRange_2d, None]
            プロットする範囲。
        
        アルファベット順軸順 : bool, default=True
            軸の順序がアルファベット順かどうか。
        
        タイトル : str, default=""
            プロットのタイトル。
        
        Returns
        -------
        SymbolCondition
            プロットされた条件。
        """
        ...

class 方程式_2dクラス(方程式クラス):
    """
    2次元方程式を表します。
    
    Parameters
    ----------
    証明 : 証明クラス
        方程式に関連する証明オブジェクト。
    方程式 : Union[str, term_pair]
        文字列または用語のペアで表される方程式。
    主変数 : str, optional
        方程式の主要変数。デフォルトは""。
    """

    def __init__(self, 証明: 証明クラス, 方程式: str | term_pair, 主変数: str = '') -> None:
        """
        Equation_2dオブジェクトを初期化します。
        
        Parameters
        ----------
        証明 : 証明クラス
            方程式に関連する証明オブジェクト。
        方程式 : Union[str, term_pair]
            文字列または用語のペアで表される方程式。
        主変数 : str, optional
            方程式の主要変数。デフォルトは""。
        """
        ...
    @property
    def ヴィエタの公式_加算(self) -> 式クラス:
        """
        Return the addition from Vieta's formulas (Japanese).
        
        Returns
        -------
        式クラス
            The addition from Vieta's formulas.
        """
        ...
    @property
    def ヴィエタの公式_積(self) -> 式クラス:
        """
        Return the product from Vieta's formulas (Japanese).
        
        Returns
        -------
        式クラス
            The product from Vieta's formulas.
        """
        ...
    @property
    def 判別式(self) -> 式クラス:
        """
        Return the discriminant of the equation (Japanese).
        
        Returns
        -------
        式クラス
            The discriminant of the equation.
        """
        ...

class 説明式クラス(方程式クラス):
    """
    左辺が単一変数の方程式を表します。
    
    Parameters
    ----------
    証明 : 証明クラス
        方程式に関連する証明オブジェクト。
    方程式 : Union[str, formula_term_pair]
        文字列または用語のペアで表される方程式。
    """

    def __init__(self, 証明: 証明クラス, 方程式: str | formula_term_pair) -> None:
        """
        ExplainEquationオブジェクトを初期化します。
        
        Parameters
        ----------
        証明 : 証明クラス
            方程式に関連する証明オブジェクト。
        方程式 : Union[str, formula_term_pair]
            文字列または用語のペアで表される方程式。
        """
        ...

class 定義式クラス(説明式クラス):
    """
    定義方程式を表します。
    
    Parameters
    ----------
    証明 : 証明クラス
        方程式に関連する証明オブジェクト。
    方程式 : Union[str, formula_term_pair]
        文字列または用語のペアで表される方程式。
    """

    def __init__(self, 証明: 証明クラス, 方程式: str | formula_term_pair) -> None:
        """
        DefineEquationオブジェクトを初期化します。
        
        Parameters
        ----------
        証明 : 証明クラス
            方程式に関連する証明オブジェクト。
        方程式 : Union[str, formula_term_pair]
            文字列または用語のペアで表される方程式。
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        定義方程式を文字列としてフォーマットします。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定。
        
        Returns
        -------
        str
            フォーマットされた文字列。
        """
        ...

term_pair = Tuple[term, term]
formula_term_pair = Tuple[式クラス, term]
dict_float = dict[str, float]
dict_int = dict[str, int]
dict_term = Dict[str, Term]
literal_direction = Literal["left", "right"]

 ##### ./wip/src/equation_utils.py #####

default_condition: condition

class 方程敷く便利ツールクラス:
    """
    方程式のユーティリティクラス
    """

    @staticmethod
    def 調整関数(証明: 証明クラス, 方程式: 方程式クラス, 調整関数記号: Literal['+', '-', '*', '/', '**'], 方程式または項: 方程式クラス | Term | float | int | NativeFraction, 右から操作するかい: bool = True) -> 方程式クラス:
        """
        方程式に対して指定された演算子を使用して調整を行います。
        
        Parameters
        ----------
        証明 : DefineType.証明クラス
            証明オブジェクト。
        方程式 : DefineType.方程式クラス
            調整を行う方程式オブジェクト。
        調整関数記号 : {'+', '-', '*', '/', '**'}
            使用する演算子。"+"、"-"、"*"、"/"、"**"のいずれか。
        方程式または項 : Union[DefineType.方程式クラス, DefineType.Term, float, int, DefineType.NativeFraction]
            調整に使用する方程式、項、または数値。
        右から操作するかい : bool, default True
            右から操作するかどうかを指定するフラグ。デフォルトはTrue。
        
        Returns
        -------
        DefineType.方程式クラス
            調整後の方程式オブジェクト。
        """
        ...

 ##### ./wip/src/equations.py #####

class 方程式sクラス:
    """
    同時方程式系を扱うクラス。
    
    属性
    ----------
    テキスト : str
        方程式のテキスト表現。
    変数s : set[str]
        方程式内の変数の集合。
    方程式s : list[方程式クラス]
        システム内の方程式のリスト。
    
    メソッド
    -------
    追加する_方程式(equations: List[方程式クラス]) -> 方程式sクラス
        システムに複数の方程式を追加する。
    追加する(equation: 方程式クラス) -> 方程式sクラス
        システムに単一の方程式を追加する。
    解く(focus_terms: set[str] = set()) -> Union[ベクトル方程式クラス, None]
        方程式系を解く。
    表示する() -> 方程式sクラス
        方程式を表示する。
    変数を減らす(target_variable: str = "", define_equation: Union[方程式クラス, None] = None) -> 方程式sクラス
        目標変数または特定の方程式によって方程式を簡約する。
    """

    def __init__(self, 証明: 証明クラス, 方程式s: express_list | express_tuple) -> None:
        """
        Parameters
        ----------
        証明 : 証明クラス
            方程式に関連する証明オブジェクト。
        方程式s : Union[List[方程式クラス], Tuple[ベクトルクラス, ベクトルクラス]]
            システムに含まれる方程式。
        """
        ...
    def __getitem__(self, index: int) -> 方程式クラス:
        """
        インデックスで方程式を取得する。
        
        Parameters
        ----------
        index : int
            取得する方程式のインデックス。
        
        Returns
        -------
        方程式クラス
            指定されたインデックスの方程式。
        """
        ...
    def __iter__(self) -> Generator[方程式クラス, None, None]:
        """
        システム内の方程式を反復処理する。
        
        Returns
        ------
        Generator[方程式クラス, None, None]
            方程式のジェネレーター。
        """
        ...
    def __len__(self) -> int:
        """
        システム内の方程式の数を返す。
        
        Returns
        -------
        int
            方程式の数。
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        システム内の変数の集合を返すプロパティ。
        
        Returns
        -------
        set[str]
            変数の集合。
        """
        ...
    @property
    def 方程式s(self) -> list[方程式クラス]:
        """
        システム内の方程式のリストを返すプロパティ。
        
        Returns
        -------
        List[方程式クラス]
            方程式のリスト。
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        方程式のテキスト表現を返すプロパティ。
        
        Returns
        -------
        str
            方程式のテキスト表現。
        """
        ...
    def 解く(self, フォーカス項s: set[str] = set()) -> ベクトル方程式クラス | None: ...
    def 追加する_方程式(self, 方程式s: list[方程式クラス]) -> 方程式sクラス:
        """
        複数の方程式を追加する。
        
        Parameters
        ----------
        方程式s : List[方程式クラス]
            追加する方程式のリスト。
        
        Returns
        -------
        方程式sクラス
            追加後のEquationsオブジェクト。
        """
        ...
    def 追加する(self, 方程式: 方程式クラス) -> 方程式sクラス:
        """
        単一の方程式を追加する。
        
        Parameters
        ----------
        方程式 : 方程式クラス
            追加する方程式。
        
        Returns
        -------
        方程式sクラス
            追加後のEquationsオブジェクト。
        """
        ...
    def 表示する(self) -> 方程式sクラス:
        """
        方程式を表示する。
        
        Returns
        -------
        方程式sクラス
            表示後のEquationsオブジェクト。
        """
        ...
    def 変数を減らす(self, ターゲット変数: str = '', 定義方程式: 方程式クラス | None = None) -> 方程式sクラス:
        """
        指定された変数または特定の方程式によって方程式を簡約する。
        
        Parameters
        ----------
        ターゲット変数 : str, optional
            簡約する対象の変数（デフォルトは空文字列）。
        定義方程式 : Union[方程式クラス, None], optional
            簡約に使用する特定の方程式（デフォルトはNone）。
        
        Returns
        -------
        方程式sクラス
            簡約された方程式系。
        """
        ...

class 解sクラス(方程式sクラス):
    """
    各変数が解決された連立方程式の解を扱うクラス。
    
    メソッド
    -------
    ソートする(should_reverse: bool = False) -> 解sクラス
        解をソートする。
    表示する() -> 解sクラス
        解を表示する。
    """

    def __init__(self, 証明: 証明クラス, 方程式s: list[方程式クラス] | tuple[ベクトルクラス, ベクトルクラス]) -> None:
        """
        Parameters
        ----------
        証明 : 証明クラス
            解に関連する証明オブジェクト。
        方程式s : Union[List[方程式クラス], Tuple[ベクトルクラス, ベクトルクラス]]
            解に含まれる方程式。
        """
        ...
    def __add__(self, その他: 解sクラス) -> 解sクラス:
        """
        他の解集合をこの集合に追加する。
        
        Parameters
        ----------
        その他 : 解sクラス
            別の解集合。
        
        Returns
        -------
        解sクラス
            結合された解。
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        解を表示するためにフォーマットする。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット仕様。
        
        Returns
        -------
        str
            フォーマットされた解。
        """
        ...
    def ソートする(self, 逆転するべき: bool = False) -> 解sクラス:
        """
        解をソートする。
        
        Parameters
        ----------
        逆転するべき : bool, optional
            ソート順を逆にするかどうか（デフォルトはFalse）。
        
        Returns
        -------
        解sクラス
            ソートされた解。
        """
        ...
    def 表示する(self) -> 解sクラス:
        """
        メソッドの説明を表示します。
        
        Returns
        -------
        解sクラス
            表示するメソッドの戻り値
        """
        ...

class ベクトル方程式クラス(方程式sクラス):
    """
    ベクトル方程式を扱うクラス。
    
    Attributes
    ----------
    左側のベクトル : ベクトルクラス
        方程式の左側のベクトル
    右側のベクトル : ベクトルクラス
        方程式の右側のベクトル
    
    メソッド
    -------
    追加する_方程式(equations: List[方程式クラス]) -> ベクトル方程式クラス
        ベクトル方程式に複数の方程式を追加する。
    追加する(equation: 方程式クラス) -> ベクトル方程式クラス
        ベクトル方程式に単一の方程式を追加する。
    ソートする(should_reverse: bool = False) -> ベクトル方程式クラス
        ベクトル方程式内の方程式をソートする。
    表示する() -> ベクトル方程式クラス
        ベクトル方程式を表示する。
    """

    def __init__(self, 証明: 証明クラス, 方程式s: list[方程式クラス] | tuple[ベクトルクラス, ベクトルクラス]) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト
        方程式s : Union[List[方程式クラス], Tuple[ベクトルクラス, ベクトルクラス]]
            方程式のリストまたはベクトルのタプル
        """
        ...
    def __eq__(self, その他: ベクトル方程式クラス) -> bool:
        """
        等価比較
        
        Parameters
        ----------
        その他 : ベクトル方程式クラス
            比較対象のベクトル方程式
        
        Returns
        -------
        bool
            等しい場合はTrue、そうでない場合はFalse
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        文字列フォーマット
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定子
        
        Returns
        -------
        str
            フォーマットされた文字列
        """
        ...
    @property
    def 左側のベクトル(self) -> ベクトルクラス:
        """
        左側のベクトルを取得する (日本語プロパティ)
        
        Returns
        -------
        ベクトルクラス
            左側のベクトル。
        """
        ...
    @property
    def 右側のベクトル(self) -> ベクトルクラス:
        """
        右側のベクトルを取得する
        
        Returns
        -------
        ベクトルクラス
            右側のベクトル。
        """
        ...
    def ソートする(self, 逆転するべき: bool = False) -> ベクトル方程式クラス:
        """
        方程式をソートする
        
        Parameters
        ----------
        逆転するべき : bool, optional
            逆順にソートするかどうか (デフォルトはFalse)。
        
        Returns
        -------
        ベクトル方程式クラス
            ソート後のVectorEquationオブジェクト。
        """
        ...
    def 追加する(self, 方程式: 方程式クラス) -> ベクトル方程式クラス:
        """
        方程式を追加する
        
        Parameters
        ----------
        方程式 : 方程式クラス
            追加する方程式。
        
        Returns
        -------
        ベクトル方程式クラス
            追加後のVectorEquationオブジェクト。
        """
        ...
    def 追加する_方程式(self, 方程式s: list[方程式クラス]) -> ベクトル方程式クラス:
        """
        方程式を追加する
        
        Parameters
        ----------
        方程式s : List[方程式クラス]
            追加する方程式のリスト。
        
        Returns
        -------
        ベクトル方程式クラス
            追加後のVectorEquationオブジェクト。
        """
        ...
    def 表示する(self) -> ベクトル方程式クラス:
        """
        ベクトル方程式を表示する
        
        Returns
        -------
        ベクトル方程式クラス
            表示後のVectorEquationオブジェクト。
        """
        ...

express_list = List[方程式クラス]
express_tuple = Tuple[ベクトルクラス, ベクトルクラス]

 ##### ./wip/src/figure.py #####

class 図形クラス(図形ベースクラス):
    """
    図を表すクラス。
    
    Parameters
    ----------
    証明 : 証明クラス
        証明オブジェクト。
    行列 : Tuple[int, int]
        行と列のタプル。
    単位サイズ : Tuple[Union[int, float], Union[int, float]], optional
        単位サイズ、デフォルトは(5, 5)。
    タイトル : str, optional
        図のタイトル、デフォルトは空文字列。
    
    Attributes
    ----------
    証明 : 証明クラス
        証明オブジェクト。
    axes : List[List[座標クラス]]
        軸のリスト。
    """

    def __init__(self, 証明: 証明クラス, 行列: tuple[int, int], 単位サイズ: tuple[int | float, int | float] = (5, 5), タイトル: str = '') -> None: ...
    @property
    def 軸s(self) -> list[list[座標クラス]]:
        """
        軸のリスト。
        
        Returns
        -------
        List[List[座標クラス]]
            軸のリスト。
        """
        ...
    @property
    def 証明(self) -> 証明クラス:
        """
        証明オブジェクト。
        
        Returns
        -------
        証明クラス
            証明オブジェクト。
        """
        ...
    def 追加する_サブプロット(self, 行_列: tuple[int, int]) -> 図形クラス:
        """
        指定された行と列にサブプロットを追加する。
        
        Parameters
        ----------
        行_列 : Tuple[int, int]
            行と列のタプル。
        
        Returns
        -------
        図形クラス
            自身のインスタンス。
        """
        ...
    def 表示する(self) -> 図形クラス:
        """
        図を表示する。
        
        Returns
        -------
        図形クラス
            自身のインスタンス。
        """
        ...

 ##### ./wip/src/figure_reservation.py #####

class 図登録クラス:
    """
    図形登録クラス。
    図形クラスはインスタンスが定義された断面でレンダリングされ、出力の並びが狂うため、表示を先送りするためのクラス。
    
    Parameters
    ----------
    表現 : Union[SymbolCondition, 式クラス]
        図形または条件を表すオブジェクト。
    プロット範囲s : Union[plotRange, plotRanges, plotRange_2d, None]
        図形をプロットする範囲。
    アルファベット軸順 : bool, default=True
        軸をアルファベット順に並べるかどうか。
    タイトル : str, default=""
        図形のタイトル。
    """

    def __init__(self, 表現: SymbolCondition | 式クラス, プロット範囲s: plotRange | plotRanges | plotRange_2d | None, アルファベット軸順: bool = True, タイトル: str = '') -> None: ...
    def 表示する(self) -> 図登録クラス:
        """
        図形を表示するメソッド。
        
        Returns
        -------
        図登録クラス
            自身のインスタンス。
        """
        ...

 ##### ./wip/src/formula.py #####

class 式クラス:
    """
    数、変数、演算子で構成される数式を表すクラス。
    """

    def __init__(self, 証明: 証明クラス, テキスト: str | float | int, 変数のタイプs: variable_type_optional | variable_types_optional = {}) -> None:
        """
        コンストラクタ。
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト。
        テキスト : Union[str, float, int]
            数式を表すテキスト、浮動小数点数、または整数。
        変数のタイプs : Union[variable_type_optional, variable_types_optional], optional
            変数の型情報を含む辞書。デフォルトは空の辞書。
        """
        ...
    def __add__(self, その他: float | int | 整数クラス | 浮動小数クラス | 分数クラス | 式クラス) -> 式クラス:
        """
        [+] の中置演算子。
        
        Parameters
        ----------
        その他 : Union[float, int, 整数クラス, 浮動小数クラス, 分数クラス, 式クラス]
            加算する数式。
        
        Returns
        -------
        式クラス
            加算結果の数式。
        """
        ...
    @overload
    def __eq__(self, その他: str) -> str:
        """
        [==] の中置演算子。
        
        Parameters
        ----------
        その他 : Union[term_, str]
            比較する数式。
        
        Returns
        -------
        Union[数理的ブールクラス, 方程式クラス, str]
            比較結果。
        """
        ...
    @overload
    def __eq__(self, その他: term_) -> 数理的ブールクラス | 方程式クラス: ...
    def __floordiv__(self, その他: 式クラス | float | int | 整数クラス | 浮動小数クラス) -> 式クラス:
        """
        [//] の中置演算子。
        
        Parameters
        ----------
        その他 : Union[式クラス, float, int, 整数クラス, 浮動小数クラス]
            切り捨て除算する数式。
        
        Returns
        -------
        式クラス
            切り捨て除算結果の数式。
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        数式を指定された形式でフォーマットする。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定子。
        
        Returns
        -------
        str
            フォーマットされた数式のテキスト。
        """
        ...
    def __ge__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        [>=] の中置演算子。
        
        Parameters
        ----------
        その他 : term_
            比較する他の数式。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            比較結果。
        """
        ...
    def __gt__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        [>] の中置演算子。
        
        Parameters
        ----------
        その他 : term_
            比較する他の数式。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            比較結果。
        """
        ...
    def __lt__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """

        """
        ...
    def __le__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        [<=] の中置演算子。
        
        Parameters
        ----------
        その他 : term_
            比較する他の数式。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            比較結果。
        """
        ...
    def __mod__(self, その他: 式クラス | float | int | 整数クラス | 浮動小数クラス) -> 式クラス:
        """
        [%] の中置演算子。
        
        Parameters
        ----------
        その他 : Union[式クラス, float, int, 整数クラス, 浮動小数クラス]
            剰余を求める数式。
        
        Returns
        -------
        式クラス
            剰余結果の数式。
        """
        ...
    def __mul__(self, その他: 式クラス | float | int | 分数クラス | 整数クラス | 浮動小数クラス) -> 式クラス:
        """
        [*] の中置演算子。
        
        Parameters
        ----------
        その他 : Union[式クラス, float, int, 分数クラス, 整数クラス, 浮動小数クラス]
            乗算する数式。
        
        Returns
        -------
        式クラス
            乗算結果の数式。
        """
        ...
    @overload
    def __ne__(self, その他: str) -> str:
        """
        [!=] の中置演算子。
        
        Parameters
        ----------
        その他 : Union[term_, str]
            比較する数式。
        
        Returns
        -------
        Union[数理的ブールクラス, 非等号クラス, str]
            比較結果。
        """
        ...
    @overload
    def __ne__(self, その他: term_) -> 数理的ブールクラス | 非等号クラス: ...
    def __neg__(self) -> 式クラス:
        """
        数式の符号を反転する。
        
        Returns
        -------
        式クラス
            符号が反転された数式。
        """
        ...
    def __pow__(self, その他: 式クラス | float | int | 分数クラス | 整数クラス | 浮動小数クラス) -> 式クラス:
        """
        [**] の中置演算子。
        
        Parameters
        ----------
        その他 : Union[式クラス, float, int, 分数クラス, 整数クラス, 浮動小数クラス]
            累乗する数式。
        
        Returns
        -------
        式クラス
            累乗結果の数式。
        """
        ...
    def __radd__(self, その他: float | int) -> 式クラス:
        """
        [+] の右辺演算子。
        
        Parameters
        ----------
        その他 : Union[float, int]
            加算する数式。
        
        Returns
        -------
        式クラス
            加算結果の数式。
        """
        ...
    def __rfloordiv__(self, その他: float | int) -> 式クラス:
        """
        [//] の右辺演算子。
        
        Parameters
        ----------
        その他 : Union[float, int]
            切り捨て除算する数式。
        
        Returns
        -------
        式クラス
            切り捨て除算結果の数式。
        """
        ...
    def __rmod__(self, その他: float | int) -> 式クラス:
        """
        [%] の右辺演算子。
        
        Parameters
        ----------
        その他 : Union[float, int]
            剰余を求める数式。
        
        Returns
        -------
        式クラス
            剰余結果の数式。
        """
        ...
    def __rmul__(self, その他: float | int) -> 式クラス:
        """
        [*] の右辺演算子。
        
        Parameters
        ----------
        その他 : Union[float, int]
            乗算する数式。
        
        Returns
        -------
        式クラス
            乗算結果の数式。
        """
        ...
    def __rpow__(self, その他: float | int) -> 式クラス:
        """
        [**] の右辺演算子。
        
        Parameters
        ----------
        その他 : Union[float, int]
            累乗する数式。
        
        Returns
        -------
        式クラス
            累乗結果の数式。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[浮動小数クラス]) -> 浮動小数クラス:
        """
        [>>] の中置演算子。
        
        Parameters
        ----------
        タイプ : Union[type[整数クラス], type[浮動小数クラス], type[分数クラス]]
            キャストする型。
        
        Returns
        -------
        Union[浮動小数クラス, 整数クラス, 分数クラス]
            キャストされた結果の数式。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[分数クラス]) -> 分数クラス: ...
    @overload
    def __rshift__(self, タイプ: type[整数クラス]) -> 整数クラス: ...
    def __rtruediv__(self, その他: float | int) -> 式クラス:
        """
        [/] の右辺演算子。
        
        Parameters
        ----------
        その他 : Union[float, int]
            除算する数式。
        
        Returns
        -------
        式クラス
            除算結果の数式。
        """
        ...
    def __rsub__(self, その他: float | int) -> 式クラス:
        """
        [-] の右辺演算子。
        
        Parameters
        ----------
        その他 : Union[float, int]
            減算する数式。
        
        Returns
        -------
        式クラス
            減算結果の数式。
        """
        ...
    def __sub__(self, その他: 式クラス | float | int | 分数クラス | 整数クラス | 浮動小数クラス) -> 式クラス:
        """
        [-] の中置演算子。
        
        Parameters
        ----------
        その他 : Union[式クラス, float, int, 分数クラス, 整数クラス, 浮動小数クラス]
            減算する数式。
        
        Returns
        -------
        式クラス
            減算結果の数式。
        """
        ...
    def __truediv__(self, その他: 式クラス | float | int | 分数クラス | 整数クラス | 浮動小数クラス) -> 式クラス:
        """
        [/] の中置演算子。
        
        Parameters
        ----------
        その他 : Union[式クラス, float, int, 分数クラス, 整数クラス, 浮動小数クラス]
            除算する数式。
        
        Returns
        -------
        式クラス
            除算結果の数式。
        """
        ...
    @property
    def 因数分解された要素(self) -> list[式クラス]:
        """
        因数分解の因数(次数なし)を返す。
        
        Returns
        -------
        List[式クラス]
            因数分解された要素のリスト。
        """
        ...
    @property
    def 整数である(self) -> bool | None:
        """
        数式が整数かどうかを判定する。
        
        Returns
        -------
        Union[bool, None]
            整数ならTrue、そうでなければFalse。
        """
        ...
    @property
    def 次数(self) -> int:
        """
        数式の次数を返す。
        
        Returns
        -------
        int
            数式の次数。
        """
        ...
    @property
    def 平方完成(self) -> squared_result:
        """
        数式の平方完成を行う。
        
        Returns
        -------
        squared_result
            平方完成の結果。
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        数式に含まれる変数の集合を返す。
        
        Returns
        -------
        set[str]
            数式に含まれる変数の集合。
        """
        ...
    @property
    def 抽象構文木(self) -> 抽象構文木クラス:
        """
        数式の抽象構文木を返す。
        
        Returns
        -------
        抽象構文木クラス
            数式の抽象構文木。
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        数式のテキスト表現を返す。
        
        Returns
        -------
        str
            数式のテキスト表現。
        """
        ...
    @property
    def テキスト_因数分解後(self) -> str:
        """
        因数分解された数式のテキスト表現を返す。
        
        Returns
        -------
        str
            因数分解された数式のテキスト表現。
        """
        ...
    def 因数分解する(self) -> 式クラス:
        """
        数式を因数分解する。
        
        caution!: 数字のみの項のある因数分解は失敗するlx:(4+4*x)。sympifyで変換する際に、4*(1+x)が展開されてしまう。代わりに、factorized_elementsを使用する。
        
        Returns
        -------
        式クラス
            因数分解された数式。
        """
        ...
    def キャスト可能か(self, タイプ: type[整数クラス] | type[浮動小数クラス] | type[分数クラス]) -> bool:
        """
        数式が指定された型にキャスト可能かどうかを判定する。
        
        Parameters
        ----------
        タイプ : Union[type[整数クラス], type[浮動小数クラス], type[分数クラス]]
            キャストする型。
        
        Returns
        -------
        bool
            キャスト可能ならTrue、そうでなければFalse。
        """
        ...
    def 作成する_図(self, プロット範囲: plotRange | plotRanges | plotRange_2d | None = None, タイトル: str = '') -> 図形クラス:
        """
        数式のプロット図を作成する。
        
        Parameters
        ----------
        プロット範囲 : Union[plotRange, plotRanges, plotRange_2d, None], optional
            プロット範囲。
        タイトル : str, optional
            図のタイトル。デフォルトは空文字。
        
        Returns
        -------
        図形クラス
            作成されたプロット図。
        """
        ...
    def 取得する_因子s(self) -> list[式クラス]:
        """
        数式の因子を取得する。
        
        Returns
        -------
        List[式クラス]
            数式の因子のリスト。
        """
        ...
    def 取得する_係数s(self, フォーカス変数: str, 整数を制限する必要があるかい: bool = False) -> list[式クラス]:
        """
        指定された変数に関する係数を取得する。
        
        Parameters
        ----------
        フォーカス変数 : str
            係数を取得する対象の変数。
        整数を制限する必要があるかい : bool, optional
            係数を整数に制限するかどうか。デフォルトはFalse。
        
        Returns
        -------
        List[式クラス]
            取得された係数のリスト。
        """
        ...
    def 証明する_乗数のモジュール性(self, モッド: int, セクションタイトル: str = '乗数のモジュール性の証明', セクションID: str = '証明する_乗数のモジュール性') -> 式クラス:
        """
        乗数のモジュール性を証明する。
        
        Parameters
        ----------
        モッド : int
            モジュール数。
        セクションタイトル : str, optional
            セクションのタイトル。デフォルトは"乗数のモジュール性の証明"。
        セクションID : str, optional
            セクションのID。デフォルトは"証明する_乗数のモジュール性"。
        
        Returns
        -------
        式クラス
            自身の数式オブジェクト。
        """
        ...
    def 積分する(self, フォーカス変数: str | 式クラス | None = None) -> 式クラス:
        """
        数式を積分する。
        
        Parameters
        ----------
        フォーカス変数 : Union[str, 式クラス, None], optional
            積分する変数。指定しない場合は、数式に含まれる唯一の変数が使用される。
        
        Returns
        -------
        式クラス
            積分された数式。
        """
        ...
    def 代入する(self, 条件: conditions_float | conditions_int | conditions_str | conditions_term | 方程式クラス | 方程式sクラス) -> 式クラス:
        """
        数式に条件を代入する。
        
        Parameters
        ----------
        条件 : Union[conditions_float, conditions_int, conditions_str, conditions_term, 方程式クラス, 方程式sクラス]
            代入する条件。
        
        Returns
        -------
        式クラス
            代入後の数式。
        """
        ...
    def 代入する_不安定(self, 代入するもの: tuple[str, 式クラス]) -> 式クラス:
        """
        数式の部分置換を行う。
        
        Parameters
        ----------
        代入するもの : Tuple[str, 式クラス]
            置換対象の変数とその置換後の数式。
        
        Returns
        -------
        式クラス
            置換後の数式。
        """
        ...
    def 単一変数化する(self, ターゲット変数: str) -> 式クラス:
        """
        数式を単一変数に変換する。
        
        Parameters
        ----------
        ターゲット変数 : str
            変換する変数。
        
        Returns
        -------
        式クラス
            変換された数式。
        """
        ...
    def チェックする_演算子(self, チェック演算子: list[symbol_type]) -> 数理的ブールクラス:
        """
        数式が指定された演算子を含むかどうかをチェックする。
        
        Parameters
        ----------
        チェック演算子 : List[symbol_type]
            チェックする演算子のリスト。
        
        Returns
        -------
        数理的ブールクラス
            含む場合はTrue、そうでなければFalse。
        """
        ...
    def チェックする_対称性(self) -> 数理的ブールクラス:
        """
        数式の対称性をチェックする。
        
        Returns
        -------
        数理的ブールクラス
            数式が対称ならTrue、そうでなければFalse。
        """
        ...
    def チェックする_互いに素か(self, その他: 整数クラス | int | 式クラス, 相対的な素数のペア: list[tuple[int | 整数クラス | 式クラス, int | 整数クラス | 式クラス]] = []) -> bool | None:
        """
        数式が互いに素であるかどうかをチェックする。
        
        Parameters
        ----------
        その他 : Union[整数クラス, int, 式クラス]
            他の数式。
        相対的な素数のペア : List[Tuple[Union[int, 整数クラス, 式クラス], Union[int, 整数クラス, 式クラス]]], optional
            相対的な素数のペアのリスト。
        
        Returns
        -------
        Union[bool, None]
            互いに素である場合はTrue、そうでなければFalse。
        """
        ...
    def チェックする_特定の倍数か(self, 回数: int, 期待される剰余: list[int], 条件: condition = {'times': 0, 'mod': [0]}, セクションタイトル: str = 'チェックする_特定の倍数か') -> bool:
        """
        数式が特定の倍数であるかどうかをチェックする。
        
        Parameters
        ----------
        回数 : int
            回数。
        期待される剰余 : List[int]
            期待される剰余のリスト。
        条件 : condition, optional
            条件。デフォルトは{"times": 0, "mod": [0]}。
        セクションタイトル : str, optional
            セクションのタイトル。デフォルトは"チェックする_特定の倍数か"。
        
        Returns
        -------
        bool
            特定の倍数である場合はTrue、そうでなければFalse。
        """
        ...
    def 展開する(self) -> 式クラス:
        """
        数式を展開する。
        
        Returns
        -------
        式クラス
            展開された数式。
        """
        ...
    def 同定する_条件から(self, 除数の量: int, 範囲: tuple[int, int], セクションタイトル: str = '同定する_条件から', セクションID: str = '同定する_条件から') -> ベクトルクラス:
        """
        条件から数式を同定する。
        
        Parameters
        ----------
        除数の量 : int
            除数の数量。
        範囲 : Tuple[int, int]
            範囲。
        セクションタイトル : str, optional
            セクションのタイトル。デフォルトは"同定する_条件から"。
        セクションID : str, optional
            セクションのID。デフォルトは"同定する_条件から"。
        
        Returns
        -------
        ベクトルクラス
            同定された数式ベクトル。
        """
        ...
    def 解く(self, フォーカス変数: str | 式クラス | None = None) -> ベクトル式クラス:
        """
        数式を解く。
        
        Parameters
        ----------
        フォーカス変数 : Union[str, 式クラス, None], optional
            解く対象の変数。指定しない場合は、数式に含まれる唯一の変数が使用される。
        
        Returns
        -------
        ベクトル式クラス
            解のベクトル。
        """
        ...
    def 微分する(self, フォーカス変数: str | 式クラス | None = None) -> 式クラス:
        """
        数式を微分する。
        
        Parameters
        ----------
        フォーカス変数 : Union[str, 式クラス, None], optional
            微分する変数。指定しない場合は、数式に含まれる唯一の変数が使用される。
        
        Returns
        -------
        式クラス
            微分された数式。
        """
        ...
    def 表示する(self) -> 式クラス:
        """
        数式を表示する。
        
        Returns
        -------
        式クラス
            自身の数式オブジェクト。
        """
        ...
    def プロットする(self, プロット範囲: plotRange | plotRanges | plotRange_2d | None = None, タイトル: str = '', 色: hsla = (220, 100, 50), ラベル: str = '') -> 式クラス: ...
    def ラフチェックする_整数(self, 大まかな検索: bool = False, 正のみ: bool = True) -> bool | None:
        """
        数式が整数かどうかを大まかにチェックする。
        
        Parameters
        ----------
        大まかな検索 : bool, optional
            大まかな検索を行うかどうか。デフォルトはFalse。
        正のみ : bool, optional
            正の整数のみを対象とするかどうか。デフォルトはTrue。
        Returns
        —––
        Union[bool, None]
        整数ならTrue、そうでなければFalse。
        """
        ...
    def ラフチェックする_単調増加(self, ポイントs: list[int] | None, 自然数内かい: bool = True) -> bool | None:
        """
        数式が単調増加であるかどうかを大まかにチェックする。
        
        Parameters
        ----------
        ポイントs : Optional[List[int]], optional
            チェックするポイントのリスト。デフォルトはNone。
        自然数内かい : bool, optional
            自然数の範囲内でチェックするかどうか。デフォルトはTrue。
        
        Returns
        -------
        Union[bool, None]
            単調増加である場合はTrue、そうでなければFalse。
        """
        ...

 ##### ./wip/src/formula_utils.py #####

class 式便利ツールクラス:
    """
    式のutilクラス
    """

    @staticmethod
    def 演算する_右(証明: 証明クラス, 数式: 式クラス, 調整関数: Callable[[variables, str, str | int | float], str], 他の: 整数クラス | int | 浮動小数クラス | float | 分数クラス | 式クラス) -> 式クラス: ...
    @staticmethod
    def 項を減算する(証明: 証明クラス, 数式: 式クラス, 他の: 式クラス) -> tuple[subtract_prime_result, subtract_prime_result]: ...
    @staticmethod
    def 証明する_乗数のモジュール性(証明: 証明クラス, 数式: 式クラス, mod: int, セクションタイトル: str = '乗数のモジュール性の証明', セクションID: str = '証明する_乗数のモジュール性') -> type['式便利ツールクラス']: ...
    @staticmethod
    def 代入する(証明: 証明クラス, 数式: 式クラス, 条件s: conditions_float | conditions_int | conditions_str | conditions_term | 方程式クラス | 方程式sクラス) -> 式クラス: ...
    @staticmethod
    def チェックする_特定の倍数か(証明: 証明クラス, 数式: 式クラス, 回数: int, 期待されるmod: list[int], 条件: condition = {'times': 0, 'mod': [0]}, セクションタイトル: str = 'チェックする_特定の倍数か') -> bool: ...
    @staticmethod
    def 同定する_条件から(証明: 証明クラス, 数式: 式クラス, 除数の数量: int, 範囲: tuple[int, int], セクションタイトル: str = '整数の特定', セクションID: str = '同定する_条件から') -> ベクトルクラス: ...
    @staticmethod
    def 左の関数を調整する(証明: 証明クラス, 数式: 式クラス, 調整関数: Callable[[variables, str, str | int | float], str], 他の: 整数クラス | int | 浮動小数クラス | float | 分数クラス | 式クラス) -> 式クラス: ...
    @staticmethod
    def プライムを減算する(証明: 証明クラス, 項: astElement) -> subtract_prime_result: ...

 ##### ./wip/src/fraction.py #####

class 分数クラス:
    """
    数学モジュールの分数クラス。
    """

    def __init__(self, 証明: 証明クラス, 表現: str | express_fraction) -> None:
        """
        Fractionインスタンスを初期化する。
        
        Parameters
        ----------
        証明 : 証明クラス
            分数に関連付けられた証明オブジェクト。
        表現 : Union[str, express_fraction]
            分数表現（文字列または分子と分母のタプル）。
        """
        ...
    @overload
    def __add__(self, 式: 整数クラス | int | 分数クラス) -> 分数クラス | 整数クラス:
        """
        この分数に他の項を加える。
        
        Parameters
        ----------
        式 : Union[整数クラス, int, 浮動小数クラス, float, 分数クラス, 式クラス]
            加える項。
        
        Returns
        -------
        Union[式クラス, 分数クラス, 整数クラス, 浮動小数クラス]
            加算結果。
        """
        ...
    @overload
    def __add__(self, 式: 浮動小数クラス | float) -> 浮動小数クラス: ...
    @overload
    def __add__(self, 式: 式クラス) -> 式クラス: ...
    def __eq__(self, その他: term_) -> 数理的ブールクラス | 方程式クラス:
        """
        この分数が他の項と等しいかどうかを評価する。
        
        Parameters
        ----------
        その他 : term_
            比較する他の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 方程式クラス]
            等価性評価の結果。
        """
        ...
    @overload
    def __floordiv__(self, 式: 整数クラス | int | 浮動小数クラス | float | 分数クラス) -> 整数クラス:
        """
        この分数を他の項で切り捨て除算する。
        
        Parameters
        ----------
        式 : Union[式クラス, float, int, 整数クラス, 浮動小数クラス, 分数クラス]
            切り捨て除算する項。
        
        Returns
        -------
        Union[式クラス, 整数クラス]
            切り捨て除算結果。
        """
        ...
    @overload
    def __floordiv__(self, 式: 式クラス) -> 式クラス: ...
    def __format__(self, __format_spec: str) -> str:
        """
        指定されたフォーマット指定子に従って分数をフォーマットする。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定子。
        
        Returns
        -------
        str
            フォーマットされた分数。
        """
        ...
    def __ge__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        この分数が他の項より大きいかまたは等しいかどうかを評価する。
        
        Parameters
        ----------
        その他 : term_
            比較する他の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            大なりまたは等しい評価の結果。
        """
        ...
    def __gt__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        この分数が他の項より大きいかどうかを評価する。
        
        Parameters
        ----------
        その他 : term_
            比較する他の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            大なり評価の結果。
        """
        ...
    def __le__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        この分数が他の項より小さいかまたは等しいかどうかを評価する。
        
        Parameters
        ----------
        その他 : term_
            比較する他の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            小なりまたは等しい評価の結果。
        """
        ...
    def __lt__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        この分数が他の項より小さいかどうかを評価する。
        
        Parameters
        ----------
        その他 : term_
            比較する他の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            小なり評価の結果。
        """
        ...
    @overload
    def __mod__(self, 式: 整数クラス | int | 分数クラス) -> 整数クラス | 分数クラス:
        """
        この分数と他の項との剰余を計算する。
        
        Parameters
        ----------
        式 : Union[式クラス, float, int, 整数クラス, 浮動小数クラス, 分数クラス]
            剰余を計算する項。
        
        Returns
        -------
        Union[整数クラス, 浮動小数クラス, 分数クラス, 式クラス]
            剰余計算結果。
        """
        ...
    @overload
    def __mod__(self, 式: float | 浮動小数クラス) -> 浮動小数クラス: ...
    @overload
    def __mod__(self, 式: 式クラス) -> 式クラス: ...
    @overload
    def __mul__(self, 式: 整数クラス | int | 分数クラス) -> 分数クラス | 整数クラス:
        """
        この分数に他の項を掛ける。
        
        Parameters
        ----------
        式 : Union[整数クラス, int, 浮動小数クラス, float, 分数クラス, 式クラス]
            掛ける項。
        
        Returns
        -------
        Union[式クラス, 分数クラス, 整数クラス, 浮動小数クラス]
            乗算結果。
        """
        ...
    @overload
    def __mul__(self, 式: 浮動小数クラス | float) -> 浮動小数クラス: ...
    @overload
    def __mul__(self, 式: 式クラス) -> 式クラス: ...
    def __ne__(self, その他: term_) -> 数理的ブールクラス | 非等号クラス:
        """
        この分数が他の項と等しくないかどうかを評価する。
        
        Parameters
        ----------
        その他 : term_
            比較する他の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 非等号クラス]
            不等価性評価の結果。
        """
        ...
    def __neg__(self) -> 分数クラス:
        """
        この分数を負にする。
        
        Returns
        -------
        分数クラス
            負の分数。
        """
        ...
    def __pow__(self, 式: 整数クラス | int | 浮動小数クラス | float | 分数クラス | 式クラス) -> 式クラス:
        """
        この分数を他の項の累乗にする。
        
        Parameters
        ----------
        式 : Union[整数クラス, int, 浮動小数クラス, float, 分数クラス, 式クラス]
            累乗する項。
        
        Returns
        -------
        式クラス
            累乗結果。
        """
        ...
    @overload
    def __radd__(self, 式: int | 整数クラス) -> 分数クラス | 整数クラス:
        """
        この分数を他の項の右側に加える。
        
        Parameters
        ----------
        式 : Union[float, int, 整数クラス]
            加える項。
        
        Returns
        -------
        Union[浮動小数クラス, 分数クラス, 整数クラス]
            加算結果。
        """
        ...
    @overload
    def __radd__(self, 式: float) -> 浮動小数クラス: ...
    @overload
    def __rmod__(self, 式: int | 整数クラス) -> 整数クラス | 分数クラス:
        """
        この分数で他の項の右側の剰余を計算する。
        
        Parameters
        ----------
        式 : Union[float, int, 整数クラス]
            剰余を計算する項。
        
        Returns
        -------
        Union[整数クラス, 浮動小数クラス, 分数クラス]
            剰余計算結果。
        """
        ...
    def __rfloordiv__(self, 式: float | int) -> 整数クラス:
        """
        この分数で他の項の右側を切り捨て除算する。
        
        Parameters
        ----------
        式 : Union[float, int]
            切り捨て除算する項。
        
        Returns
        -------
        整数クラス
            切り捨て除算結果。
        """
        ...
    @overload
    def __rmod__(self, 式: float) -> 浮動小数クラス: ...
    @overload
    def __rmul__(self, 式: int | 整数クラス) -> 分数クラス | 整数クラス:
        """
        この分数を他の項の右側に掛ける。
        
        Parameters
        ----------
        式 : Union[float, int, 整数クラス]
            掛ける項。
        
        Returns
        -------
        Union[浮動小数クラス, 分数クラス, 整数クラス]
            乗算結果。
        """
        ...
    @overload
    def __rmul__(self, 式: float) -> 浮動小数クラス: ...
    @overload
    def __rpow__(self, 式: int | 整数クラス) -> 分数クラス | 整数クラス:
        """
        この分数で他の項の右側を累乗する。
        
        Parameters
        ----------
        式 : Union[int, 整数クラス, float]
            累乗する項。
        
        Returns
        -------
        Union[分数クラス, 整数クラス, 式クラス]
            累乗結果。
        """
        ...
    @overload
    def __rpow__(self, 式: float) -> 式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[浮動小数クラス]) -> 浮動小数クラス:
        """
        分数を指定された型にキャストする。
        
        Parameters
        ----------
        タイプ : Union[type[浮動小数クラス], type[式クラス], type[整数クラス]]
            キャスト先の型。
        
        Returns
        -------
        Union[式クラス, 浮動小数クラス, 整数クラス]
            キャストされた分数。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[式クラス]) -> 式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[整数クラス]) -> 整数クラス: ...
    @overload
    def __rsub__(self, 式: int | 整数クラス) -> 分数クラス | 整数クラス:
        """
        この分数を他の項の右側から引く。
        Parameters
        ----------
        式 : Union[float, int, 整数クラス]
            引く項。
        
        Returns
        -------
        Union[浮動小数クラス, 分数クラス, 整数クラス]
            減算結果。
        """
        ...
    @overload
    def __rsub__(self, 式: float) -> 浮動小数クラス: ...
    @overload
    def __rtruediv__(self, 式: int | 整数クラス) -> 分数クラス | 整数クラス:
        """
        この分数で他の項の右側を割る。
        
        Parameters
        ----------
        式 : Union[float, int, 整数クラス]
            割る項。
        
        Returns
        -------
        Union[浮動小数クラス, 分数クラス, 整数クラス]
            除算結果。
        """
        ...
    @overload
    def __rtruediv__(self, 式: float) -> 浮動小数クラス: ...
    @overload
    def __sub__(self, 式: 整数クラス | int | 分数クラス) -> 分数クラス | 整数クラス:
        """
        この分数から他の項を引く。
        
        Parameters
        ----------
        式 : Union[整数クラス, int, 浮動小数クラス, float, 分数クラス, 式クラス]
            引く項。
        
        Returns
        -------
        Union[式クラス, 分数クラス, 整数クラス, 浮動小数クラス]
            減算結果。
        """
        ...
    @overload
    def __sub__(self, 式: 浮動小数クラス | float) -> 浮動小数クラス: ...
    @overload
    def __sub__(self, 式: 式クラス) -> 式クラス: ...
    @overload
    def __truediv__(self, 式: 整数クラス | int | 分数クラス) -> 分数クラス | 整数クラス:
        """
        この分数を他の項で割る。
        
        Parameters
        ----------
        式 : Union[整数クラス, int, 浮動小数クラス, float, 分数クラス, 式クラス]
            割る項。
        
        Returns
        -------
        Union[式クラス, 分数クラス, 整数クラス, 浮動小数クラス]
            除算結果。
        """
        ...
    @overload
    def __truediv__(self, 式: 浮動小数クラス | float) -> 浮動小数クラス: ...
    @overload
    def __truediv__(self, 式: 式クラス) -> 式クラス: ...
    @property
    def 次数(self) -> int:
        """
        式の最大の次数を取得する。
        
        Returns
        -------
        int
            式の最大の次数。
        
        注意
        ----
        整数多項式以外は、正しい結果を返さない。
        例）(x**2 + (1/x)**5) -> 5
        """
        ...
    @property
    def 数(self) -> int | NativeFraction:
        """
        分数の数値を取得する。
        
        Returns
        -------
        Union[int, NativeFraction]
            分数の数値。
        """
        ...
    @property
    def 整数か(self) -> bool | None:
        """
        分数が整数かどうかを判定する。
        
        Returns
        -------
        Union[bool, None]
            整数ならTrue、そうでなければFalse。
        """
        ...
    @property
    def 抽象構文木(self) -> 抽象構文木クラス:
        """
        分数の抽象構文木を取得する。
        
        Returns
        -------
        抽象構文木クラス
            分数の抽象構文木。
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        分数のテキスト表現を取得する。
        
        Returns
        -------
        str
            分数のテキスト表現。
        """
        ...
    @property
    def 分子(self) -> int:
        """
        分数の分子を取得する。
        
        Returns
        -------
        int
            分数の分子。
        """
        ...
    @property
    def 分母(self) -> int:
        """
        分数の分母を取得する。
        
        Returns
        -------
        int
            分数の分母。
        """
        ...
    @property
    def 変数(self) -> set[str]:
        """
        分数に含まれる変数の集合を取得する。
        
        Returns
        -------
        set[str]
            変数の集合。
        """
        ...
    def キャストできるか(self, タイプ: type[浮動小数クラス] | type[整数クラス]) -> bool:
        """
        分数を指定された型にキャストできるかを判定する。
        
        Parameters
        ----------
        タイプ : Union[type[浮動小数クラス], type[整数クラス]]
            判定する型。
        
        Returns
        -------
        bool
            キャスト可能ならTrue、そうでなければFalse。
        """
        ...
    def 取得する_係数s(self, フォーカス変数: str, 整数を制限すべきか: bool = False) -> list[分数クラス]:
        """
        指定した変数に関連する係数を取得する。
        
        Parameters
        ----------
        フォーカス変数 : str
            フォーカスする変数。
        整数を制限すべきか : bool, optional
            係数を整数に制限するかどうか（デフォルトはFalse）。
        
        Returns
        -------
        List[分数クラス]
            係数のリスト。
        """
        ...
    def 表示(self) -> 分数クラス:
        """
        分数を表示する。
        
        Returns
        -------
        分数クラス
            分数そのもの。
        """
        ...

express_fraction = Tuple[
        Union[int, float, NativeFraction],
        Union[int, float, NativeFraction],
    ]

 ##### ./wip/src/inequation.py #####

class 不等式クラス:
    """
    不等式を表します。
    """

    def __init__(self, 証明: 証明クラス, 表現: str | express_inequation, 厳密モードか: bool = False) -> None:
        """
        Inequationのインスタンスを初期化します。
        
        Parameters
        ----------
        証明 : 証明クラス
            不等式に関連する証明オブジェクト。
        表現 : Union[str, express_inequation]
            不等式を表す式。
        厳密モードか : bool, optional
            不等式が厳密であるかどうかを示します（デフォルトはFalse）。
        """
        ...
    def __and__(self, その他: bool | symbol_condition) -> symbol_condition:
        """
        論理AND演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            AND演算のオペランド。
        
        Returns
        -------
        symbol_condition
            AND演算の結果。
        """
        ...
    def __eq__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        等価演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            等価チェックのオペランド。
        
        Returns
        -------
        数理的ブールクラス
            等価チェックの結果。
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        指定された形式で不等式をフォーマットします。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定。
        
        Returns
        -------
        str
            フォーマットされた文字列。
        """
        ...
    def __ge__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        以上演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            以上比較のオペランド。
        
        Returns
        -------
        数理的ブールクラス
            以上比較の結果。
        """
        ...
    def __gt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        大なり演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            大なり比較のオペランド。
        
        Returns
        -------
        数理的ブールクラス
            大なり比較の結果。
        """
        ...
    def __invert__(self) -> symbol_condition:
        """
        不等式を反転します。
        
        Returns
        -------
        symbol_condition
            反転された不等式。
        """
        ...
    def __le__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        以下演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            以下比較のオペランド。
        
        Returns
        -------
        数理的ブールクラス
            以下比較の結果。
        """
        ...
    def __lshift__(self, その他: SymbolCondition) -> 数理命題クラス:
        """
        ビットシフト演算子。
        
        Parameters
        ----------
        その他 : SymbolCondition
            ビットシフト演算のオペランド。
        
        Returns
        -------
        数理命題クラス
            ビットシフト演算の結果。
        """
        ...
    def __lt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        小なり演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            小なり比較のオペランド。
        
        Returns
        -------
        数理的ブールクラス
            小なり比較の結果。
        """
        ...
    def __ne__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        非等価演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            非等価チェックのオペランド。
        
        Returns
        -------
        数理的ブールクラス
            非等価チェックの結果。
        """
        ...
    def __or__(self, その他: bool | symbol_condition) -> symbol_condition:
        """
        論理OR演算子。
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            OR演算のオペランド。
        
        Returns
        -------
        symbol_condition
            OR演算の結果。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v1クラス]) -> 複合条件_v1クラス:
        """
        型キャストのための右シフト演算子。
        
        Parameters
        ----------
        タイプ : type_from_term_inequation
            キャストする型。
        
        Returns
        -------
        symbol_condition
            キャストされた型。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v2クラス]) -> 複合条件_v2クラス:
        """

        """
        ...
    @overload
    def __rshift__(self, タイプ: type[複合条件クラス]) -> 複合条件クラス:
        """
        不等式を指定されたタイプに変換します。
        Parameters
        ----------
        タイプ : type_from_term_inequation
            変換するタイプ。
        
        Returns
        -------
        symbol_condition
            変換された結果。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[方程式クラス]) -> 方程式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v1クラス]) -> 不等式_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v2クラス]) -> 不等式_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式クラス]) -> 不等式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[数理的ブールクラス]) -> 数理的ブールクラス: ...
    @overload
    def __rshift__(self, タイプ: type[非等号クラス]) -> 非等号クラス: ...
    @property
    def 式(self) -> tuple[式クラス, 式クラス]:
        """
        不等式を構成する式を取得します。
        
        Returns
        -------
        Tuple[式クラス, 式クラス]
            不等式を構成する左辺と右辺の式。
        """
        ...
    @property
    def 次数(self) -> int:
        """
        式の最大の次数を取得します。
        
        Returns
        -------
        int
            式の最大の次数。
        
        注意
        ----
        整数多項式以外は、正しい結果を返しません。
        例）(x**2 + (1/x)**5) -> 5
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        不等式のテキスト表現を取得します。
        
        Returns
        -------
        str
            不等式のテキスト表現。
        """
        ...
    @property
    def テキスト_因数分解後(self) -> str:
        """
        因数分解後の不等式のテキスト表現を取得します。
        
        Returns
        -------
        str
            因数分解後の不等式のテキスト表現。
        """
        ...
    @property
    def 解かれた(self) -> 不等式クラス | 数理的ブールクラス | 複合条件クラス:
        """
        解かれた不等式、シンボリックブール値、または複雑な条件を取得します。
        
        Returns
        -------
        Union[不等式クラス, 数理的ブールクラス, 複合条件クラス]
            解かれた不等式、シンボリックブール値、または複雑な条件。
        """
        ...
    @property
    def 評価された(self) -> 不等式クラス | 数理的ブールクラス:
        """
        評価された不等式またはシンボリックブール値を取得します。
        
        Returns
        -------
        Union[不等式クラス, 数理的ブールクラス]
            評価された不等式またはシンボリックブール値。
        """
        ...
    @property
    def 変数(self) -> set[str]:
        """
        不等式に含まれる変数のセットを取得します。
        
        Returns
        -------
        set[str]
            不等式に含まれる変数のセット。
        """
        ...
    def 因数分解する(self) -> 不等式クラス:
        """
        不等式を因数分解します。
        
        Returns
        -------
        不等式クラス
            因数分解された不等式。
        """
        ...
    def キャストできるか(self, タイプ: type_from_term_inequation) -> 数理的ブールクラス:
        """
        指定されたタイプにキャストできるかを確認します。
        
        Parameters
        ----------
        タイプ : type_from_term_inequation
            確認するタイプ。
        
        Returns
        -------
        数理的ブールクラス
            キャストできる場合はTrue、そうでない場合はFalseを返します。
        """
        ...
    def キャスト可能なタイプ(self) -> list[type_from_term_inequation]:
        """
        キャスト可能なタイプのリストを取得します。
        
        Returns
        -------
        List[type_from_term_inequation]
            キャスト可能なタイプのリスト。
        """
        ...
    def 作成する_図(self, プロット範囲: plotRange | plotRanges | plotRange_2d | None, アルファベット順の軸順: bool = True, タイトル: str = '') -> 図形クラス:
        """
        不等式を可視化する図を作成します。
        
        Parameters
        ----------
        プロット範囲 : Union[plotRange, plotRanges, plotRange_2d, None], optional
            プロット範囲（デフォルトはNone）。
        アルファベット順の軸順 : bool, optional
            アルファベット順で軸を並べるかどうか（デフォルトはTrue）。
        タイトル : str, optional
            図のタイトル（デフォルトは""）。
        
        Returns
        -------
        図形クラス
            作成された図。
        """
        ...
    def 表示する(self, 状態: Literal['row', 'factorized', 'factorized_and_split'] = 'factorized_and_split') -> 不等式クラス:
        """
        不等式を指定された形式で表示します。
        
        Parameters
        ----------
        状態 : Literal["row", "factorized", "factorized_and_split"], optional
            表示形式（デフォルトは"factorized_and_split"）。
        
        Returns
        -------
        不等式クラス
            指定された形式の不等式。
        """
        ...
    def プロットする(self, プロット範囲: plotRange | plotRanges | plotRange_2d | None, アルファベット順の軸順: bool = True, タイトル: str = '') -> SymbolCondition:
        """
        不等式をプロットします。
        
        Parameters
        ----------
        プロット範囲 : Union[plotRange, plotRanges, plotRange_2d, None], optional
            プロット範囲（デフォルトはNone）。
        アルファベット順の軸順 : bool, optional
            アルファベット順で軸を並べるかどうか（デフォルトはTrue）。
        タイトル : str, optional
            プロットのタイトル（デフォルトは""）。
        
        Returns
        -------
        SymbolCondition
            プロットされた不等式。
        """
        ...

class 不等式_v1クラス(不等式クラス):
    """
    1変数のみの不等式を表すクラス。
    """

    def __init__(self, 証明: 証明クラス, 表現: str | express_inequation, 厳密モードか: bool = False) -> None:
        """
        Inequation_v1のインスタンスを初期化します。
        
        Parameters
        ----------
        証明 : 証明クラス
            不等式に関連する証明オブジェクト。
        表現 : Union[str, express_inequation]
            不等式を表す式。
        厳密モードか : bool, optional
            不等式が厳密であるかどうかを示します（デフォルトはFalse）。
        
        Raises
        ------
        AssertionError
            変数の数が1より多い場合に発生します。
        """
        ...
    def __eq__(self, 式: 不等式_v1クラス) -> bool:
        """

        """
        ...
    def __ne__(self, 式: 不等式_v1クラス) -> bool:
        """

        """
        ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v1クラス]) -> 複合条件_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v2クラス]) -> 複合条件_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件クラス]) -> 複合条件クラス: ...
    @overload
    def __rshift__(self, タイプ: type[方程式クラス]) -> 方程式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v1クラス]) -> 不等式_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v2クラス]) -> 不等式_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式クラス]) -> 不等式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[数理的ブールクラス]) -> 数理的ブールクラス: ...
    @overload
    def __rshift__(self, タイプ: type[非等号クラス]) -> 非等号クラス: ...
    def __sub__(self, 式: 不等式_v1クラス) -> 複合条件_v2クラス | 複合条件_v1クラス | 方程式クラス:
        """

        """
        ...
    @property
    def 範囲(self) -> markdown_str:
        """
        不等式の範囲を取得します。
        
        Returns
        -------
        markdown_str
            不等式の範囲。
        """
        ...
    def 可能か_整数セットの取得(self, セット制限: int = 1000, エラーを発生させるべきか: bool = False) -> bool:
        """
        整数セットを取得可能かどうかを確認します。
        
        Parameters
        ----------
        セット制限 : int, optional
            セットの制限（デフォルトは1000）。
        エラーを発生させるべきか : bool, optional
            エラーを発生させるかどうか（デフォルトはFalse）。
        
        Returns
        -------
        bool
            取得可能な場合はTrue、そうでない場合はFalse。
        """
        ...
    def キャスト可能な型(self) -> list[type_from_term_inequation]:
        """
        キャスト可能な型のリストを取得します。
        
        Returns
        -------
        List[type_from_term_inequation]
            キャスト可能な型のリスト。
        """
        ...
    def 取得する_整数セット(self, セット制限: int = 1000) -> set[int]:
        """
        整数セットを取得します。
        
        Parameters
        ----------
        セット制限 : int, optional
            セットの制限（デフォルトは1000）。
        
        Returns
        -------
        set[int]
            取得された整数セット。
        """
        ...

class 不等式_v2クラス(不等式クラス):
    """
    2変数のみの不等式を表すクラス。
    """

    def __init__(self, 証明: 証明クラス, 表現: str | express_inequation, 厳密モードか: bool = False) -> None:
        """
        Inequation_v2のインスタンスを初期化します。
        
        Parameters
        ----------
        証明 : 証明クラス
            不等式に関連する証明オブジェクト。
        表現 : Union[str, express_inequation]
            不等式を表す式。
        厳密モードか : bool, optional
            不等式が厳密であるかどうかを示します（デフォルトはFalse）。
        
        Raises
        ------
        AssertionError
            変数の数が2でない場合に発生します。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v1クラス]) -> 複合条件_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v2クラス]) -> 複合条件_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件クラス]) -> 複合条件クラス: ...
    @overload
    def __rshift__(self, タイプ: type[方程式クラス]) -> 方程式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v1クラス]) -> 不等式_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v2クラス]) -> 不等式_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式クラス]) -> 不等式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[数理的ブールクラス]) -> 数理的ブールクラス: ...
    @overload
    def __rshift__(self, タイプ: type[非等号クラス]) -> 非等号クラス: ...
    def __sub__(self, 式: 不等式_v1クラス) -> 複合条件_v2クラス | 方程式クラス:
        """
        不等式を引き算します。
        
        Parameters
        ----------
        式 : 不等式_v1クラス
            引き算する不等式。
        
        Returns
        -------
        Union[複合条件_v2クラス, 方程式クラス]
            計算結果。
        """
        ...
    def キャスト可能な型(self) -> list[type_from_term_inequation]:
        """
        キャスト可能な型のリストを取得します。
        
        Returns
        -------
        List[type_from_term_inequation]
            キャスト可能な型のリスト。
        """
        ...

express_inequation = Tuple[term, term]
literal_eq = Literal["="]

 ##### ./wip/src/integer.py #####

class 整数クラス:
    """
    整数の操作を扱うクラス。
    """

    def __init__(self, 証明: 証明クラス, 表現: int) -> None:
        """
        Integerオブジェクトを初期化します。
        
        Parameters
        ----------
        証明 : 証明クラス
            整数に関連するProofオブジェクト。
        表現 : int
            整数の値。
        """
        ...
    @overload
    def __add__(self, その他: 整数クラス | int) -> 整数クラス:
        """
        加算演算。
        
        Parameters
        ----------
        その他 : Union[整数クラス, int]
            他のオペランド。
        
        Returns
        -------
        整数クラス
            加算結果。
        """
        ...
    @overload
    def __add__(self, その他: 分数クラス) -> 分数クラス:
        """
        加算演算。
        
        Parameters
        ----------
        その他 : 分数クラス
            他のオペランド。
        
        Returns
        -------
        分数クラス
            加算結果。
        """
        ...
    @overload
    def __add__(self, その他: 浮動小数クラス | float) -> 浮動小数クラス:
        """
        加算演算。
        
        Parameters
        ----------
        その他 : Union[浮動小数クラス, float]
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            加算結果。
        """
        ...
    @overload
    def __add__(self, その他: 式クラス) -> 式クラス:
        """
        加算演算。
        
        Parameters
        ----------
        その他 : 式クラス
            他のオペランド。
        
        Returns
        -------
        式クラス
            加算結果。
        """
        ...
    def __eq__(self, 項: term_) -> 数理的ブールクラス | 方程式クラス:
        """
        等価評価を行います。
        
        Parameters
        ----------
        項 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 方程式クラス]
            等価評価の結果。
        """
        ...
    @overload
    def __floordiv__(self, その他: 整数クラス | int | 浮動小数クラス | float | 分数クラス) -> 整数クラス:
        """
        整数除算演算。
        
        Parameters
        ----------
        その他 : Union[整数クラス, int, 浮動小数クラス, float, 分数クラス]
            他のオペランド。
        
        Returns
        -------
        整数クラス
            整数除算結果。
        """
        ...
    @overload
    def __floordiv__(self, その他: 式クラス) -> 式クラス:
        """
        整数除算演算。
        
        Parameters
        ----------
        その他 : 式クラス
            他のオペランド。
        
        Returns
        -------
        式クラス
            整数除算結果。
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        フォーマットされたテキストを返します。
        
        Parameters
        ----------
        __format_spec : str
            フォーマット仕様。
        
        Returns
        -------
        str
            フォーマットされたテキスト。
        """
        ...
    def __ge__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        以上関係の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            以上評価の結果。
        """
        ...
    def __gt__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        より大きい関係の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            より大きい評価の結果。
        """
        ...
    def __le__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        以下関係の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            以下評価の結果。
        """
        ...
    def __lt__(self, その他: term_) -> 数理的ブールクラス | 不等式クラス:
        """
        より小さい関係の評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 不等式クラス]
            より小さい評価の結果。
        """
        ...
    @overload
    def __mod__(self, その他: 整数クラス | int) -> 整数クラス:
        """
        剰余演算。
        
        Parameters
        ----------
        その他 : Union[整数クラス, int]
            他のオペランド。
        
        Returns
        -------
        整数クラス
            剰余演算結果。
        """
        ...
    @overload
    def __mod__(self, その他: 分数クラス) -> 整数クラス | 分数クラス:
        """
        剰余演算。
        
        Parameters
        ----------
        その他 : 分数クラス
            他のオペランド。
        
        Returns
        -------
        Union[整数クラス, 分数クラス]
            剰余演算結果。
        """
        ...
    @overload
    def __mod__(self, その他: float | 浮動小数クラス) -> 浮動小数クラス:
        """
        剰余演算。
        
        Parameters
        ----------
        その他 : Union[float, 浮動小数クラス]
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            剰余演算結果。
        """
        ...
    @overload
    def __mod__(self, その他: 式クラス) -> 式クラス:
        """
        剰余演算。
        
        Parameters
        ----------
        その他 : 式クラス
            他のオペランド。
        
        Returns
        -------
        式クラス
            剰余演算結果。
        """
        ...
    @overload
    def __mul__(self, その他: 整数クラス | int) -> 整数クラス:
        """
        乗算演算。
        
        Parameters
        ----------
        その他 : Union[整数クラス, int]
            他のオペランド。
        
        Returns
        -------
        整数クラス
            乗算結果。
        """
        ...
    @overload
    def __mul__(self, その他: 分数クラス) -> 分数クラス:
        """
        乗算演算。
        
        Parameters
        ----------
        その他 : 分数クラス
            他のオペランド。
        
        Returns
        -------
        分数クラス
            乗算結果。
        """
        ...
    @overload
    def __mul__(self, その他: 浮動小数クラス | float) -> 浮動小数クラス:
        """
        
        Parameters
        ----------
        その他 : Union[浮動小数クラス, float]
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            乗算結果。
        
        """
        ...
    @overload
    def __mul__(self, その他: 式クラス) -> 式クラス:
        """
        乗算演算。
        
        Parameters
        ----------
        その他 : 式クラス
            他のオペランド。
        
        Returns
        -------
        式クラス
            乗算結果。
        """
        ...
    def __ne__(self, その他: term_) -> 数理的ブールクラス | 非等号クラス:
        """
        不等評価を行います。
        
        Parameters
        ----------
        その他 : term_
            比較対象の項。
        
        Returns
        -------
        Union[数理的ブールクラス, 非等号クラス]
            不等評価の結果。
        """
        ...
    def __neg__(self) -> 整数クラス:
        """
        否定演算。
        
        Returns
        -------
        整数クラス
            否定された整数。
        """
        ...
    @overload
    def __pow__(self, その他: 整数クラス | int) -> 整数クラス:
        """
        べき乗演算。
        
        Parameters
        ----------
        その他 : Union[整数クラス, int]
            指数。
        
        Returns
        -------
        整数クラス
            べき乗演算結果。
        """
        ...
    @overload
    def __pow__(self, その他: 式クラス | float | 浮動小数クラス | 分数クラス) -> 式クラス:
        """
        べき乗演算。
        
        Parameters
        ----------
        その他 : Union[式クラス, float, 浮動小数クラス, 分数クラス]
            指数。
        
        Returns
        -------
        式クラス
            べき乗演算結果。
        """
        ...
    @overload
    def __radd__(self, その他: int | 整数クラス) -> 整数クラス:
        """
        逆加算演算。
        
        Parameters
        ----------
        その他 : Union[int, 整数クラス]
            他のオペランド。
        
        Returns
        -------
        整数クラス
            加算結果。
        """
        ...
    @overload
    def __radd__(self, その他: float) -> 浮動小数クラス:
        """
        逆加算演算。
        
        Parameters
        ----------
        その他 : float
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            加算結果。
        """
        ...
    def __rfloordiv__(self, その他: float | int) -> 整数クラス:
        """
        逆床除算の実装
        
        Parameters
        ----------
        その他 : Union[float, int]
            被除数
        
        Returns
        -------
        整数クラス
            逆床除算の結果としての新しい整数オブジェクト
        """
        ...
    @overload
    def __rmod__(self, その他: int | 整数クラス) -> 整数クラス:
        """
        逆剰余演算。
        
        Parameters
        ----------
        その他 : Union[int, 整数クラス]
            他のオペランド。
        
        Returns
        -------
        整数クラス
            剰余演算結果。
        """
        ...
    @overload
    def __rmod__(self, その他: float) -> 浮動小数クラス:
        """
        逆剰余演算。
        
        Parameters
        ----------
        その他 : float
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            剰余演算結果。
        """
        ...
    @overload
    def __rmul__(self, その他: int | 整数クラス) -> 整数クラス:
        """
        逆乗算演算。
        
        Parameters
        ----------
        その他 : Union[int, 整数クラス]
            他のオペランド。
        
        Returns
        -------
        整数クラス
            乗算結果。
        """
        ...
    @overload
    def __rmul__(self, その他: float) -> 浮動小数クラス:
        """
        逆乗算演算。
        
        Parameters
        ----------
        その他 : float
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            乗算結果。
        """
        ...
    @overload
    def __rpow__(self, その他: int | 整数クラス) -> 整数クラス:
        """
        逆べき乗演算。
        
        Parameters
        ----------
        その他 : Union[int, 整数クラス]
            基数。
        
        Returns
        -------
        整数クラス
            べき乗演算結果。
        """
        ...
    @overload
    def __rpow__(self, その他: float) -> 式クラス:
        """
        逆べき乗演算。
        
        Parameters
        ----------
        その他 : float
            基数。
        
        Returns
        -------
        式クラス
            べき乗演算結果。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[浮動小数クラス]) -> 浮動小数クラス:
        """
        右シフト演算。
        
        Parameters
        ----------
        タイプ : type of 浮動小数クラス
            キャストする型。
        
        Returns
        -------
        浮動小数クラス
            キャストされたオブジェクト。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[式クラス]) -> 式クラス:
        """
        右シフト演算。
        
        Parameters
        ----------
        タイプ : type of 式クラス
            キャストする型。
        
        Returns
        -------
        式クラス
            キャストされたオブジェクト。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[分数クラス]) -> 分数クラス:
        """
        右シフト演算。
        
        Parameters
        ----------
        タイプ : type of 分数クラス
            キャストする型。
        
        Returns
        -------
        分数クラス
            キャストされたオブジェクト。
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[整数クラス]) -> 整数クラス:
        """
        右シフト演算。
        
        Parameters
        ----------
        タイプ : type of 整数クラス
            キャストする型。
        
        Returns
        -------
        整数クラス
            キャストされたオブジェクト。
        """
        ...
    @overload
    def __rsub__(self, その他: int | 整数クラス) -> 整数クラス:
        """
        逆減算演算。
        
        Parameters
        ----------
        その他 : Union[int, 整数クラス]
            他のオペランド。
        
        Returns
        -------
        整数クラス
            減算結果。
        """
        ...
    @overload
    def __rsub__(self, その他: float) -> 浮動小数クラス:
        """
        逆減算演算。
        
        Parameters
        ----------
        その他 : float
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            減算結果。
        """
        ...
    @overload
    def __rtruediv__(self, その他: int | 整数クラス) -> 整数クラス | 分数クラス:
        """
        逆真の除算演算。
        
        Parameters
        ----------
        その他 : Union[int, 整数クラス]
            他のオペランド。
        
        Returns
        -------
        Union[整数クラス, 分数クラス]
            除算結果。
        """
        ...
    @overload
    def __rtruediv__(self, その他: float) -> 浮動小数クラス:
        """
        逆真の除算演算。
        
        Parameters
        ----------
        その他 : float
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            除算結果。
        """
        ...
    @overload
    def __sub__(self, その他: 整数クラス | int) -> 整数クラス:
        """
        減算演算。
        
        Parameters
        ----------
        その他 : Union[整数クラス, int]
            他のオペランド。
        
        Returns
        -------
        整数クラス
            減算結果。
        """
        ...
    @overload
    def __sub__(self, その他: 分数クラス) -> 分数クラス:
        """
        減算演算。
        
        Parameters
        ----------
        その他 : 分数クラス
            他のオペランド。
        
        Returns
        -------
        分数クラス
            減算結果。
        """
        ...
    @overload
    def __sub__(self, その他: 浮動小数クラス | float) -> 浮動小数クラス:
        """
        減算演算。
        
        Parameters
        ----------
        その他 : Union[浮動小数クラス, float]
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            減算結果。
        """
        ...
    @overload
    def __sub__(self, その他: 式クラス) -> 式クラス:
        """
        減算演算。
        
        Parameters
        ----------
        その他 : 式クラス
            他のオペランド。
        
        Returns
        -------
        式クラス
            減算結果。
        """
        ...
    @overload
    def __truediv__(self, その他: 整数クラス | int | 分数クラス) -> 分数クラス | 整数クラス:
        """
        真の除算演算。
        
        Parameters
        ----------
        その他 : Union[整数クラス, int, 分数クラス]
            他のオペランド。
        
        Returns
        -------
        Union[分数クラス, 整数クラス]
            除算結果。
        """
        ...
    @overload
    def __truediv__(self, その他: 浮動小数クラス | float) -> 浮動小数クラス:
        """
        真の除算演算。
        
        Parameters
        ----------
        その他 : Union[浮動小数クラス, float]
            他のオペランド。
        
        Returns
        -------
        浮動小数クラス
            除算結果。
        
        """
        ...
    @overload
    def __truediv__(self, その他: 式クラス) -> 式クラス:
        """
        真の除算演算。
        
        Parameters
        ----------
        その他 : 式クラス
            他のオペランド。
        
        Returns
        -------
        式クラス
            除算結果。
        """
        ...
    def キャスト可能か(self, 型: type[浮動小数クラス] | type[分数クラス]) -> bool:
        """
        キャストが可能かどうかを返します。
        
        Parameters
        ----------
        型 : Union[type of 浮動小数クラス, type of 分数クラス]
            キャスト対象の型。
        
        Returns
        -------
        bool
            キャスト可能であればTrue、そうでなければFalse。
        """
        ...
    @staticmethod
    def 証明する_素数が無限に存在すること(証明: 証明クラス, セクションタイトル: str = '素数が無限にある証明', セクションID: str = '証明する_素数が無限に存在すること') -> 整数クラス:
        """
        素数が無限に存在することを証明します。
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト。
        セクションタイトル : str, optional
            セクションのタイトル (default: "素数が無限にある証明")。
        セクションID : str, optional
            セクションのID (default: "証明する_素数が無限に存在すること")。
        
        Returns
        -------
        整数クラス
            証明結果。
        """
        ...
    @staticmethod
    def 証明する_有理平方根を持つならば整数(証明: 証明クラス, 根: str = 'm', 分子: str = 'q', 分母: str = 'l', セクションタイトル: str = '証明する_有理平方根を持つならば整数') -> bool:
        """
        「有理平方根を持つならば整数」ことを証明します。
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト。
        根 : str, optional
            根の変数名 (default: "m")。
        分子 : str, optional
            分子の変数名 (default: "q")。
        分母 : str, optional
            分母の変数名 (default: "l")。
        セクションタイトル : str, optional
            セクションのタイトル (default: "証明する_有理平方根を持つならば整数")。
        
        Returns
        -------
        bool
            証明結果。
        """
        ...
    @property
    def 次数(self) -> int:
        """
        式の最大の次数を返します。
        
        Returns
        -------
        int
            式の最大の次数。
        
        注意
        ----
        整数多項式以外は、正しい結果を返さない。
        
        例
        ---
        (x**2 + (1/x)**5) -> 5
        """
        ...
    @property
    def 整数であるか(self) -> bool | None:
        """
        整数であるかどうかを返します。
        
        Returns
        -------
        Union[bool, None]
            整数であればTrue、そうでなければFalse。
        """
        ...
    @property
    def 数(self) -> int:
        """
        数値表現を返します。
        Returns
        -------
        int
            数値表現。
        """
        ...
    @property
    def 素数であるか(self) -> bool:
        """
        素数であるかどうかを返します。
        
        Returns
        -------
        bool
            素数であればTrue、そうでなければFalse。
        """
        ...
    @property
    def テキスト表現を返す(self) -> str:
        """
        テキスト表現を返します。
        
        Returns
        -------
        str
            テキスト表現。
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        変数のセットを返します。
        
        Returns
        -------
        set of str
            変数のセット。
        """
        ...
    @property
    def 約数の個数(self) -> 整数クラス:
        """
        約数の個数を返します。
        
        Returns
        -------
        整数クラス
            約数の個数。
        """
        ...
    @property
    def 約数の和(self) -> 整数クラス:
        """
        約数の和を返します。
        
        Returns
        -------
        整数クラス
            約数の和。
        """
        ...
    @property
    def 約数s(self) -> list[int]:
        """
        約数のリストを返します。
        
        Returns
        -------
        List[int]
            約数のリスト。
        """
        ...
    def 取得する_係数s(self, フォーカス変数: str, 整数を制限すべきか: bool = False) -> list[整数クラス]:
        """
        係数を取得します。
        
        Parameters
        ----------
        フォーカス変数 : str
            フォーカスする変数。
        整数を制限すべきか : bool, optional
            整数に制限するかどうか (default: False)。
        
        Returns
        -------
        List[整数クラス]
            取得した係数のリスト。
        """
        ...
    def 取得する_自身までの素数のリスト(self) -> list[int]:
        """
        自身までの素数のリストを取得します。
        
        Returns
        -------
        List[int]
            自身までの素数のリスト。
        """
        ...
    def 取得する_積に分解したペア(self, 一意性: Literal['combination', 'order'] = 'order', マイナスを含むか: bool = False) -> set[tuple[int, int]]:
        """
        積に分解したペアを取得します。
        
        Parameters
        ----------
        一意性 : Literal["combination", "order"], optional
            一意性 (default: "order")。
        マイナスを含むか : bool, optional
            マイナスを含むかどうか (default: False)。
        
        Returns
        -------
        set[Tuple[int, int]]
            積に分解したペア。
        """
        ...
    def 取得する_べき乗された剰余(self, べき乗: int, mod: int, _範囲: tuple[int, int] = (1, 5), セクションタイトル: str = '乗数の剰余', セクションID: str = '取得する_べき乗された剰余') -> 方程式クラス: ...
    def 素因数分解する(self) -> dict[int, int]:
        """
        素因数分解を行い、結果を返します。
        
        Returns
        -------
        Dict[int, int]
            素因数分解の結果。
        """
        ...
    def 表示する(self) -> 整数クラス:
        """
        表示します。
        
        Returns
        -------
        整数クラス
            表示された整数。
        """
        ...
    @overload
    def 互いに素であるか(self, その他: 整数クラス | int, 互いに素なペア: list[tuple[int | 整数クラス | 方程式クラス, int | 整数クラス | 方程式クラス]] = []) -> bool:
        """
        互いに素であるかどうかを返します。
        
        Parameters
        ----------
        その他 : Union[整数クラス, int]
            比較対象の項。
        互いに素なペア : List[Tuple[Union[int, 整数クラス, 方程式クラス], Union[int, 整数クラス, 方程式クラス]]], optional
            互いに素なペアのリスト (default: [])。
        
        Returns
        -------
        bool
            互いに素であればTrue、そうでなければFalse。
        """
        ...
    @overload
    def 互いに素であるか(self, その他: 方程式クラス, 互いに素なペア: list[tuple[int | 整数クラス | 方程式クラス, int | 整数クラス | 方程式クラス]] = []) -> bool | None:
        """
        互いに素であるかどうかを返します。
        
        Parameters
        ----------
        その他 : 方程式クラス
            比較対象の項。
        互いに素なペア : List[Tuple[Union[int, 整数クラス, 方程式クラス], Union[int, 整数クラス, 方程式クラス]]], optional
            互いに素なペアのリスト (default: [])。
        
        Returns
        -------
        Union[bool, None]
            互いに素であればTrue、そうでなければFalse。
        """
        ...

 ##### ./wip/src/integer_utils.py #####

class 整数便利ツール:
    """
    整数のutilクラス
    """

    @staticmethod
    @overload
    def 演算する_左(証明: 証明クラス, 整数: 整数クラス, 演算子: Callable[[variables, str, str | int | float], str], その他: int | 整数クラス) -> 整数クラス: ...
    @staticmethod
    @overload
    def 演算する_左(証明: 証明クラス, 整数: 整数クラス, 演算子: Callable[[variables, str, str | int | float], str], その他: float) -> 浮動小数クラス: ...
    @staticmethod
    @overload
    def 演算する_右(証明: 証明クラス, 整数: 整数クラス, 演算子: Callable[[variables, str, str | int | float], str], その他: 整数クラス | int) -> 整数クラス: ...
    @staticmethod
    @overload
    def 演算する_右(証明: 証明クラス, 整数: 整数クラス, 演算子: Callable[[variables, str, str | int | float], str], その他: 分数クラス) -> 分数クラス: ...
    @staticmethod
    @overload
    def 演算する_右(証明: 証明クラス, 整数: 整数クラス, 演算子: Callable[[variables, str, str | int | float], str], その他: 浮動小数クラス | float) -> 浮動小数クラス: ...
    @staticmethod
    @overload
    def 演算する_右(証明: 証明クラス, 整数: 整数クラス, 演算子: Callable[[variables, str, str | int | float], str], その他: 方程式クラス) -> 方程式クラス: ...
    @staticmethod
    @overload
    def 取得する_剰余(証明: 証明クラス, 整数: 整数クラス, その他: 整数クラス | int) -> 整数クラス: ...
    @staticmethod
    @overload
    def 取得する_剰余(証明: 証明クラス, 整数: 整数クラス, その他: 分数クラス) -> 整数クラス | 分数クラス: ...
    @staticmethod
    @overload
    def 取得する_剰余(証明: 証明クラス, 整数: 整数クラス, その他: float | 浮動小数クラス) -> 浮動小数クラス: ...
    @staticmethod
    @overload
    def 取得する_剰余(証明: 証明クラス, 整数: 整数クラス, その他: 方程式クラス) -> 方程式クラス: ...
    @staticmethod
    def 取得する_積のペア(証明: 証明クラス, 整数: 整数クラス, 一意性: Literal['combination', 'order'] = 'order', 形式: bool = False) -> set[tuple[int, int]]: ...
    @staticmethod
    def 取得する_べき乗された剰余(証明: 証明クラス, 整数: 整数クラス, べき乗: int, mod: int, _範囲: tuple[int, int] = (1, 5), セクションタイトル: str = '乗数の剰余', セクションID: str = '取得する_べき乗された剰余') -> 方程式クラス: ...
    @staticmethod
    def 証明する_素数が無限に存在すること(証明: 証明クラス, セクションタイトル: str = '素数が無限に存在することの証明', セクションID: str = '証明する_素数が無限に存在すること') -> type['整数便利ツール']: ...
    @staticmethod
    def 証明する_有理平方根を持つならば整数(証明: 証明クラス, 根: str = 'm', 分子: str = 'q', 分母: str = 'l', セクションタイトル: str = '証明する_有理平方根を持つならば整数') -> bool: ...
    @staticmethod
    @overload
    def 除算_右_(証明: 証明クラス, 整数: 整数クラス, その他: int | 整数クラス) -> 整数クラス | 分数クラス:
        """
            [/] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    @overload
    def 除算_右_(証明: 証明クラス, 整数: 整数クラス, その他: float) -> 浮動小数クラス:
        """
            [/] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    @overload
    def 除算し切り捨てる(証明: 証明クラス, 整数: 整数クラス, その他: 整数クラス | int | 浮動小数クラス | float | 分数クラス) -> 整数クラス:
        """
            [//] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    @overload
    def 除算し切り捨てる(証明: 証明クラス, 整数: 整数クラス, その他: 方程式クラス) -> 方程式クラス:
        """
            [//] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    def 除算し切り捨てる_右_(証明: 証明クラス, 整数: 整数クラス, その他: float | int) -> 整数クラス:
        """
            [//] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    @overload
    def 除算する(証明: 証明クラス, 整数: 整数クラス, その他: 整数クラス | int | 分数クラス) -> 分数クラス | 整数クラス: ...
    @staticmethod
    @overload
    def 除算する(証明: 証明クラス, 整数: 整数クラス, その他: 浮動小数クラス | float) -> 浮動小数クラス: ...
    @staticmethod
    @overload
    def 除算する(証明: 証明クラス, 整数: 整数クラス, その他: 方程式クラス) -> 方程式クラス: ...
    @staticmethod
    @overload
    def 剰余_右_(証明: 証明クラス, 整数: 整数クラス, その他: int | 整数クラス) -> 整数クラス:
        """
            [%] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    @overload
    def 剰余_右_(証明: 証明クラス, 整数: 整数クラス, その他: float) -> 浮動小数クラス:
        """
            [%] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    @overload
    def 互いに素なペア(証明: 証明クラス, 整数: 整数クラス, その他: 整数クラス | int, 互いに素なペア: list[tuple[int | 整数クラス | 方程式クラス, int | 整数クラス | 方程式クラス]] = []) -> bool: ...
    @staticmethod
    @overload
    def 互いに素なペア(証明: 証明クラス, 整数: 整数クラス, その他: 方程式クラス, 互いに素なペア: list[tuple[int | 整数クラス | 方程式クラス, int | 整数クラス | 方程式クラス]] = []) -> bool | None: ...
    @staticmethod
    @overload
    def べき乗_右_(証明: 証明クラス, 整数: 整数クラス, その他: int | 整数クラス) -> 整数クラス:
        """
            [**] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    @overload
    def べき乗_右_(証明: 証明クラス, 整数: 整数クラス, その他: float) -> 方程式クラス:
        """
            [**] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    @overload
    def べき乗を計算する(証明: 証明クラス, 整数: 整数クラス, その他: 整数クラス | int) -> 整数クラス:
        """
            [**] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...
    @staticmethod
    @overload
    def べき乗を計算する(証明: 証明クラス, 整数: 整数クラス, その他: 方程式クラス | float | 浮動小数クラス | 分数クラス) -> 方程式クラス:
        """
            [**] の中置演算子
        
        引数:
            other: 式
        結果:
            式クラス
        """
        ...

 ##### ./wip/src/intersect.py #####

class 交差集合クラス:
    """
    交差を表すクラス
    """

    def __init__(self, 証明: 証明クラス, 要素: set[str]) -> None:
        """
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト
        要素 : set of str
            要素の集合
        """
        ...
    def 表示する(self) -> 交差集合クラス:
        """
        インスタンス自身を表示するメソッド（日本語版）
        
        Returns
        -------
        交差集合クラス
            自身のインスタンス
        """
        ...

 ##### ./wip/src/markdown_contents.py #####

class マークダウンコンテンツクラス:
    """
    Markdownのコンテンツを表すクラス
    """

    def __init__(self, コンテンツ: list[str]) -> None:
        """
        Parameters
        ----------
        コンテンツ : List[str]
            Markdownのコンテンツのリスト
        """
        ...
    def 表示する(self, インデントの深さ: int = 0) -> マークダウンコンテンツクラス:
        """
        Markdownコンテンツを表示する
        
        Parameters
        ----------
        インデントの深さ : int, default 0
            インデントの深さ
        
        Returns
        -------
        マークダウンコンテンツクラス
            自身のインスタンス
        """
        ...

 ##### ./wip/src/math_conditional.py #####

class 数理命題クラス(命題クラス):
    """
    数式で記述された命題を表すクラス
    """

    def __init__(self, 十分条件: SymbolCondition, 必要条件: SymbolCondition, 十分条件の真偽: bool = True, 必要条件の真偽: bool = True) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        十分条件 : SymbolCondition
            十分条件を表すシンボル条件
        必要条件 : SymbolCondition
            必要条件を表すシンボル条件
        十分条件_bool : bool, optional
            十分条件が真であるかどうかを示すフラグ（デフォルトはTrue）
        必要条件_bool : bool, optional
            必要条件が真であるかどうかを示すフラグ（デフォルトはTrue）
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        Format the proposition using the given format specification.
        
        Parameters
        ----------
        __format_spec : str
            The format specification.
        
        Returns
        -------
        str
            Formatted string representation of the proposition.
        """
        ...
    @property
    def 裏(self) -> 数理命題クラス:
        """
        裏命題を表すMathConditionalオブジェクト
        
        Returns
        -------
        数理命題クラス
            裏命題のMathConditionalオブジェクト
        """
        ...
    @property
    def 逆(self) -> 数理命題クラス:
        """
        逆命題を表すMathConditionalオブジェクト
        
        Returns
        -------
        数理命題クラス
            逆命題のMathConditionalオブジェクト
        """
        ...
    @property
    def 対偶(self) -> 数理命題クラス:
        """
        対偶命題を表すMathConditionalオブジェクト
        
        Returns
        -------
        数理命題クラス
            対偶命題のMathConditionalオブジェクト
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        命題を表すテキスト
        
        Returns
        -------
        str
            命題のテキスト
        """
        ...
    @property
    def テキスト_十分条件(self) -> str:
        """
        十分条件を表すテキスト
        
        Returns
        -------
        str
            十分条件のテキスト
        """
        ...
    @property
    def テキスト_必要条件(self) -> str:
        """
        必要条件を表すテキスト
        
        Returns
        -------
        str
            必要条件のテキスト
        """
        ...
    @property
    def 反対(self) -> 数理命題クラス:
        """
        反対命題を表すMathConditionalオブジェクト
        
        Returns
        -------
        数理命題クラス
            反対命題のMathConditionalオブジェクト
        """
        ...

 ##### ./wip/src/math_markdown_sign.py #####

class 数学マークダウン記号クラス:
    """
    Markdownで使用する数学記号のクラス
    """

    @staticmethod
    def 従って() -> str: ...
    @staticmethod
    def 省略記号() -> str: ...
    @staticmethod
    def 全角スペース() -> str: ...
    @staticmethod
    def 注釈() -> str: ...
    @staticmethod
    def なぜなら() -> str: ...
    @staticmethod
    def 半角スペース() -> str: ...
    @staticmethod
    def 半角プラススペース() -> str: ...

 ##### ./wip/src/proof.py #####

class 証明クラス:
    """
    証明における説明、変数を管理するクラス
    """

    def __init__(self) -> None:
        """
        コンストラクタ
        """
        ...
    @property
    def セクションタイトルs(self) -> list[str]:
        """
        セクションのタイトルリストを取得するプロパティ（日本語版）
        
        Returns:
            List[str]: セクションタイトルのリスト
        """
        ...
    @property
    def 変数s(self) -> variables:
        """
        変数を取得するプロパティ（日本語版）
        
        Returns:
            variables: 管理されている変数
        """
        ...
    def 更新する_変数s(self, 変数s: variables) -> 証明クラス:
        """
        変数を更新（日本語版）
        
        Args:
            変数s (variables): 更新する変数
        
        Returns:
            証明クラス: 自身のインスタンス
        """
        ...
    def 作成する_セクション(self, タイトル: str, ID: str) -> セクションクラス:
        """
        セクションを作成（日本語版）
        
        Args:
            タイトル (str): セクションのタイトル
            ID (str): セクションのID
        
        Returns:
            セクションクラス: 作成されたセクション
        """
        ...
    def 作成する_一時的なセクションID(self, ベースID: str) -> str:
        """
        一時的なセクションIDを作成（日本語版）
        
        Args:
            ベースID (str): ベースとなるID
        
        Returns:
            str: 作成された一時的なセクションID
        """
        ...
    def 作成する_一時的な変数(self) -> 方程式クラス:
        """
        一時的な変数を作成（日本語版）
        
        Returns:
            方程式クラス: 作成された一時的な変数
        """
        ...
    @overload
    def 作成する_変数(self, 変数s: str, 変数の種類s: variable_type_optional | variable_types_optional = {}) -> 方程式クラス:
        """
        変数を作成する
        Args:
            変数s (Union[str, variables_list]): 作成する変数
            変数の種類s (Union[variable_type_optional, variable_types_optional], optional): 変数の種類. Defaults to {}.
        
        Returns:
            Union[方程式クラス, formulas]: 作成された変数
        """
        ...
    @overload
    def 作成する_変数(self, 変数s: variables_list, 変数の種類s: variable_type_optional | variable_types_optional = {}) -> formulas: ...
    def 作成する_変数s(self, 変数s: str, 変数の種類s: variable_type_optional | variable_types_optional = {}) -> formulas:
        """
        複数の変数を作成（日本語版）
        
        Args:
            変数s (str): 作成する変数の文字列
            変数の種類s (Union[variable_type_optional, variable_types_optional], optional): 変数の種類. Defaults to {}.
        
        Returns:
            formulas: 作成された変数のリスト
        """
        ...
    def 取得する_セクション(self, タイトル: str) -> セクションクラス:
        """
        セクションをタイトルで取得（日本語版）
        
        Args:
            タイトル (str): 取得したいセクションのタイトル
        
        Returns:
            セクションクラス: 指定したタイトルのセクション
        """
        ...
    @overload
    def 取得する_変数(self, 変数: list[str] | set[str]) -> list[方程式クラス]:
        """
        変数を取得（日本語版）
        
        Args:
            変数 (Union[str, variables_list, variables_set]): 取得したい変数
        
        Returns:
            Union[方程式クラス, formulas]: 取得された変数
        """
        ...
    @overload
    def 取得する_変数(self, 変数: str) -> 方程式クラス: ...
    def 挿入する_セクション(self, セクション: セクションクラス | str, 親セクション: str | セクションクラス | None = None) -> 証明クラス:
        """
        セクションを挿入（日本語版）
        
        Args:
            セクション (Union[セクションクラス, str]): 挿入するセクション
            親セクション (Union[str, セクションクラス, None], optional): 親セクション. Defaults to None.
        
        Returns:
            証明クラス: 自身のインスタンス
        """
        ...
    def 表示する_説明(self, セクション: str = '') -> 証明クラス:
        """
        説明を表示（日本語版）
        
        Args:
            セクション (str, optional): 表示するセクション. Defaults to "".
        
        Returns:
            証明クラス: 自身のインスタンス
        """
        ...
    def 登録する_変数s(self, 変数s: list[str], 変数の種類s: variable_types_optional = {}) -> 証明クラス:
        """
        変数を登録（日本語版）
        
        Args:
            変数s (List[str]): 登録する変数のリスト
            変数の種類s (variable_types_optional, optional): 変数の種類. Defaults to {}.
        
        Returns:
            証明クラス: 自身のインスタンス
        """
        ...
    @overload
    def 追加する_説明(self, コンテンツ: explain, セクション: str = '') -> 証明クラス:
        """
        説明を追加（日本語版）
        
        Args:
            コンテンツ (Union[explain, relation_content]): 追加する説明内容
            セクション (str, optional): 追加するセクション. Defaults to "".
            順接か (bool, optional): だから記号を含むか. Defaults to False.
            補足 (str, optional): 付録. Defaults to "".
            補足のタイプ (Literal["because", "annotate", "plain"], optional): 付録の種類. Defaults to "because".
        
        Returns:
            証明クラス: 自身のインスタンス
        """
        ...
    @overload
    def 追加する_説明(self, コンテンツ: relation_content, セクション: str = '', 順接か: bool = False, 補足: str = '', 補足のタイプ: Literal['because', 'annotate', 'plain'] = 'because') -> 証明クラス: ...
    def 変数か(self, 式: 方程式クラス | str) -> bool:
        """
        指定した式が変数かどうかを判定（日本語版）
        
        Args:
            式 (Union[方程式クラス, str]): 判定する式
        
        Returns:
            bool: 変数の場合はTrue、そうでない場合はFalse
        """
        ...
variables_list = list[str]
variables_set = set[str]
formulas = List[式クラス]

 ##### ./wip/src/py_utils.py #####

#


#

# default_range: 

class pythonユーティリティクラス:


    @staticmethod
    def 数か(文字列: str) -> bool: ...
    @overload
    @staticmethod
    def 取得する_すべての組み合わせ(選択肢s: list[list[int]]) -> list[list[int]]: ...
    @overload
    @staticmethod
    def 取得する_すべての組み合わせ(選択肢s: list[list[float]]) -> list[list[float]]: ...
    @overload
    @staticmethod
    def 取得する_すべての組み合わせ(選択肢s: list[list[str]]) -> list[list[str]]: ...
    @staticmethod
    def 整数か(文字列: str) -> bool: ...
    @staticmethod
    def 生成する_ランダムな名前(n: int, 小文字のみ: bool) -> str: ...
    @staticmethod
    def 表示する_安全に(内容s: str | Markdown | Math) -> None: ...
    @staticmethod
    def 浮動小数点数か(文字列: str) -> bool: ...
    @staticmethod
    def 分数か(文字列: str) -> bool: ...
    @staticmethod
    def 変換する_範囲を2Dプロット範囲に(プロット範囲: None | plotRanges | plotRange | plotRange_2d, アルファベット順: bool = True, 変数s: set[str] = set()) -> plotRange_2d: ...
    @staticmethod
    def 変換する_範囲を辞書からタプルに(プロット範囲: plotRanges, アルファベット順: bool = True, 変数s: set[str] = set()) -> plotRange_2d: ...
    @staticmethod
    def 変換する_範囲をシングルからツインに(プロット範囲: plotRange) -> plotRange_2d: ...

 ##### ./wip/src/relation_content.py #####

class 関係コンテンツクラス:
    """
    前後と関係のあるMarkdown contentクラス
    """

    def __init__(self, コンテント: relation_content, 順接か: bool = False, 補足: str = '', 補足のタイプ: Literal['because', 'annotate', 'plain'] = 'because') -> None:
        """
        Parameters
        ----------
        コンテント : relation_content
            コンテンツの内容。
        順接か : bool, optional
            従って記号を表示するかどうか。デフォルトはFalse。
        補足 : str, optional
            追加情報。デフォルトは空文字。
        補足_type : Literal["because", "annotate", "plain"], optional
            追加情報のタイプ。デフォルトは"because"。
        """
        ...
    @property
    def 順接記号を継承(self) -> bool:
        """
        Returns
        -------
        bool
            継承された順接記号の状態。
        """
        ...
    @property
    def 内容(self) -> relation_content:
        """
        Returns
        -------
        relation_content
            コンテンツの内容。
        """
        ...
    def 表示する(self, インデントの深さ: int = 0, 前の内容: 関係コンテンツクラス | None = None, 省略モード: Literal['off', 'on', 'auto'] = 'auto') -> 関係コンテンツクラス:
        """
        コンテンツを表示する。
        
        Parameters
        ----------
        インデントの深さ : int, optional
            インデントの深さ。デフォルトは0。
        前の内容 : Union[関係コンテンツクラス, None], optional
            前のコンテンツ。デフォルトはNone。
        省略モード : Literal["off", "on", "auto"], optional
            省略モード。デフォルトは"auto"。
        
        Returns
        -------
        関係コンテンツクラス
            自身のインスタンス。
        """
        ...

 ##### ./wip/src/section.py #####

class セクションクラス:
    """
    証明書ドキュメントのセクションを表すクラス。
    
    Attributes
    ----------
    ID : str
        セクションの識別子。
    
    Parameters
    ----------
    証明 : 証明クラス
        このセクションが属する証明オブジェクト。
    タイトル : str
        セクションのタイトル。
    ID : str
        セクションの識別子。
    """

    def __getitem__(self, index: int) -> explain:
        """
        指定したインデックスのコンテンツを取得する。
        
        Parameters
        ----------
        index : int
            取得するコンテンツのインデックス。
        
        Returns
        -------
        explain
            指定したインデックスのコンテンツ。
        """
        ...
    def __init__(self, 証明: 証明クラス, タイトル: str, ID: str) -> None: ...
    def __iter__(self) -> Generator[explain, None, None]:
        """
        コンテンツをイテレートする。
        
        Yields
        ------
        explain
            セクション内の次のコンテンツ。
        """
        ...
    @overload
    def __setitem__(self, index: int, value: セクションクラス) -> セクションクラス:
        """
        指定したインデックスのコンテンツを設定する。
        
        Parameters
        ----------
        index : int
            設定するコンテンツのインデックス。
        value : Union[セクションクラス, 関係コンテンツクラス]
            設定するコンテンツ。
        
        Returns
        -------
        Union[セクションクラス, 関係コンテンツクラス]
            設定されたコンテンツ。
        """
        ...
    @overload
    def __setitem__(self, index: int, value: 関係コンテンツクラス) -> 関係コンテンツクラス: ...
    def 作成する_サブセクション(self, タイトル: str, ID: str, インデックス: int | None = None) -> セクションクラス:
        """
        サブセクションを作成する（日本語版）。
        
        Parameters
        ----------
        タイトル : str
            サブセクションのタイトル。
        ID : str
            サブセクションの識別子。
        インデックス : Union[int, None], optional
            サブセクションを挿入する位置のインデックス。Noneの場合は末尾に追加。
        
        Returns
        -------
        セクションクラス
            作成されたサブセクション。
        """
        ...
    def 挿入する_セクション(self, セクション: セクションクラス | str) -> セクションクラス:
        """
        セクションを挿入する（日本語版）。
        
        Parameters
        ----------
        セクション : Union[セクションクラス, str]
            挿入するセクション。
        
        Returns
        -------
        セクションクラス
            挿入されたセクション。
        """
        ...
    @overload
    def 追加する(self, コンテンツ: explain, 順接か: bool = False) -> セクションクラス:
        """
        セクションにコンテンツを追加する（日本語版）。
        
        Parameters
        ----------
        コンテンツ : Union[explain, relation_content]
            追加するコンテンツ。
        順接か : bool, optional
            従って記号を含めるかどうか。
        補足 : str, optional
            補足テキスト。
        補足のタイプ : Literal[“because”, “annotate”, “plain”], optional
            補足のタイプ。
        Returns
        -------
        セクションクラス
            コンテンツが追加されたセクション。
        """
        ...
    @overload
    def 追加する(self, コンテンツ: relation_content, 順接か: bool = False, 補足: str = '', 補足のタイプ: Literal['because', 'annotate', 'plain'] = 'because') -> セクションクラス: ...
    def 表示する(self, インデントの深さ: int = 0) -> セクションクラス:
        """
        セクションを表示する（日本語版）。
        
        Parameters
        ----------
        インデントの深さ : int, optional
            インデントの深さ。
        
        Returns
        -------
        セクションクラス
            表示されたセクション自身。
        """
        ...

 ##### ./wip/src/symbol_condition_utils.py #####

class 数理的条件ユーティリティクラス:
    """
    数式の論理結合演算子操作をまとめたクラス
    
    Attributes:
        variables (set[str]): 条件中で用いられる変数
        text (str): 条件中で用いられる変数
    """

    @staticmethod
    def 以下(証明: 証明クラス, 条件_左: SymbolCondition, 条件_右: bool | symbol_condition) -> 数理的ブールクラス: ...
    @staticmethod
    def 以上(証明: 証明クラス, 条件_左: SymbolCondition, 条件_右: bool | symbol_condition) -> 数理的ブールクラス: ...
    @staticmethod
    def 作成する_図(証明: 証明クラス, 条件: SymbolCondition, プロット範囲: plotRange | plotRanges | plotRange_2d | None, アルファベット軸順: bool = True, タイトル: str = '') -> 図形クラス: ...
    @staticmethod
    def 小なり(証明: 証明クラス, 条件_左: SymbolCondition, 条件_右: bool | symbol_condition) -> 数理的ブールクラス: ...
    @staticmethod
    def 大なり(証明: 証明クラス, 条件_左: SymbolCondition, 条件_右: bool | symbol_condition) -> 数理的ブールクラス: ...
    @staticmethod
    def 等価(証明: 証明クラス, 条件_左: SymbolCondition, 条件_右: bool | symbol_condition) -> 数理的ブールクラス: ...
    @staticmethod
    def 反転する(証明: 証明クラス, 条件_左: SymbolCondition) -> symbol_condition: ...
    @staticmethod
    def 左シフト(条件_左: SymbolCondition, 条件_右: SymbolCondition) -> 数理命題クラス: ...
    @staticmethod
    def 非等価(証明: 証明クラス, 条件_左: SymbolCondition, 条件_右: bool | symbol_condition) -> 数理的ブールクラス: ...
    @staticmethod
    def 表示する(証明: 証明クラス, 条件: SymbolCondition) -> type['数理的条件ユーティリティクラス']: ...
    @staticmethod
    def フォーマット(条件: SymbolCondition) -> str: ...
    @staticmethod
    def プロットする(証明: 証明クラス, 条件: SymbolCondition, プロット範囲: plotRange | plotRanges | plotRange_2d | None, アルファベット軸順: bool = True, タイトル: str = '') -> type['数理的条件ユーティリティクラス']: ...
    @staticmethod
    def 論理積(証明: 証明クラス, 条件_左: SymbolCondition, 条件_右: bool | symbol_condition) -> symbol_condition: ...
    @staticmethod
    def 論理和(証明: 証明クラス, 条件_左: SymbolCondition, 条件_右: bool | symbol_condition) -> symbol_condition:
        """
            論理和の中置演算子
        
        Args:
            other : 演算対象
        """
        ...

 ##### ./wip/src/symbolic_bool.py #####

class 数理的ブールクラス:
    """
    python nativeのboolではなく、designed math module(数式処理モジュール)で用いるbool
    """

    def __init__(self, 証明: 証明クラス, 真偽: bool) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        証明 : 証明クラス
            証明のインスタンス
        真偽 : bool
            ブール値
        """
        ...
    @overload
    def __and__(self, その他: bool | 数理的ブールクラス) -> 数理的ブールクラス:
        """
        AND演算子のオーバーロード
        Parameters
        ----------
        その他 : Union[bool, 数理的ブールクラス, symbol_range]
            AND演算の対象
        
        Returns
        -------
        symbol_condition
            AND演算結果
        """
        ...
    @overload
    def __and__(self, その他: symbol_range) -> symbol_condition: ...
    def __bool__(self) -> bool:
        """
        ネイティブブール値をブールとして取得する
        
        Returns
        -------
        bool
            ネイティブブール値
        """
        ...
    def __eq__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        他のシンボリックブールと等しいかを比較する
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            比較結果
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        フォーマット指定子を用いて文字列に変換する
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定子
        
        Returns
        -------
        str
            フォーマットされた文字列
        """
        ...
    def __ge__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        他のシンボリックブールと比較する（以上）
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            比較結果
        """
        ...
    def __gt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        他のシンボリックブールと比較する（より大きい）
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            比較結果
        """
        ...
    def __invert__(self) -> 数理的ブールクラス:
        """
        シンボリックブールの否定を取得する
        
        Returns
        -------
        数理的ブールクラス
            否定のシンボリックブール
        """
        ...
    def __le__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        他のシンボリックブールと比較する（以下）
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            比較結果
        """
        ...
    def __lshift__(self, その他: SymbolCondition) -> 数理命題クラス:
        """
        左シフト演算子のオーバーロード
        
        Parameters
        ----------
        その他 : SymbolCondition
            左シフトする対象
        
        Returns
        -------
        数理命題クラス
            演算結果
        """
        ...
    def __lt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        他のシンボリックブールと比較する
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            比較結果
        """
        ...
    def __ne__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        他のシンボリックブールと等しくないかを比較する
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            比較結果
        """
        ...
    @overload
    def __or__(self, その他: bool | 数理的ブールクラス) -> 数理的ブールクラス:
        """
        OR演算子のオーバーロード
        
        Parameters
        ----------
        その他 : Union[bool, 数理的ブールクラス, symbol_range]
            OR演算の対象
        
        Returns
        -------
        symbol_condition
            OR演算結果
        """
        ...
    @overload
    def __or__(self, その他: symbol_range) -> symbol_condition: ...
    @overload
    def __rshift__(self, タイプ: type[数理的ブールクラス]) -> 数理的ブールクラス:
        """
        右シフト演算子のオーバーロード
        
        Parameters
        ----------
        タイプ : Union[type_from_term_inequation, 説明式クラス, 定義式クラス]
            右シフトする対象の型
        
        Returns
        -------
        Union[symbol_condition, 説明式クラス, 定義式クラス]
            演算結果
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v1クラス]) -> 不等式_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v2クラス]) -> 不等式_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式クラス]) -> 不等式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v1クラス]) -> 複合条件_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v2クラス]) -> 複合条件_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件クラス]) -> 複合条件クラス: ...
    @overload
    def __rshift__(self, タイプ: type[定義式クラス]) -> 定義式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[説明式クラス]) -> 説明式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[方程式クラス]) -> 方程式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[非等号クラス]) -> 非等号クラス: ...
    @property
    def テキスト(self) -> str:
        """
        テキストとしての表現。
        
        Returns
        -------
        str
            テキスト表現。
        """
        ...
    @property
    def ネイティブブール(self) -> bool:
        """
        ネイティブのブール値。
        
        Returns
        -------
        bool
            ブール値。
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        使用されている変数のセット。
        
        Returns
        -------
        set[str]
            変数のセット。
        """
        ...
    def キャスト可能(self, 型: type_from_term_inequation) -> 数理的ブールクラス:
        """
        指定された型にキャスト可能かを確認。
        
        Parameters
        ----------
        型 : type_from_term_inequation
            確認対象の型。
        
        Returns
        -------
        数理的ブールクラス
            キャスト可能かの結果。
        """
        ...
    def キャスト可能な型(self) -> list[type_from_term_inequation]:
        """
        キャスト可能な型のリストを取得。
        
        Returns
        -------
        List[type_from_term_inequation]
            キャスト可能な型のリスト。
        """
        ...
    def 作成する_図(self, プロット範囲s: plotRange | plotRanges | plotRange_2d | None, アルファベット軸順: bool = True, タイトル: str = '') -> 図形クラス:
        """
        図を作成。
        
        Parameters
        ----------
        プロット範囲s : Union[plotRange, plotRanges, plotRange_2d, None]
            プロット範囲。
        アルファベット軸順 : bool, optional
            アルファベット順に軸を配置するか。デフォルトはTrue。
        タイトル : str, optional
            図のタイトル。デフォルトは""。
        
        Returns
        -------
        図形クラス
            作成した図。
        """
        ...
    def 表示する(self) -> 数理的ブールクラス:
        """
        表示メソッド。
        
        Returns
        -------
        数理的ブールクラス
            表示したSymbolicBoolオブジェクト。
        """
        ...
    def プロットする(self, プロット範囲s: plotRange | plotRanges | plotRange_2d | None, アルファベット軸順: bool = True, タイトル: str = '') -> SymbolCondition:
        """
        プロットを作成。
        
        Parameters
        ----------
        プロット範囲s : Union[plotRange, plotRanges, plotRange_2d, None]
            プロット範囲。
        アルファベット軸順 : bool, optional
            アルファベット順に軸を配置するか。デフォルトはTrue。
        タイトル : str, optional
            プロットのタイトル。デフォルトは""。
        
        Returns
        -------
        SymbolCondition
            作成したプロット。
        """
        ...

 ##### ./wip/src/table.py #####

class テーブルクラス:
    """
    markdown表示可能な表クラス
    """

    def __init__(self, データ: table_data) -> None:
        """
        Tableを初期化する。
        
        Parameters
        ----------
        データ : table_data
            初期化するためのデータ。
        """
        ...
    @property
    def データ(self) -> table_data:
        """
        テーブルデータを取得する（日本語メソッド）。
        
        Returns
        -------
        table_data
            テーブルのデータ。
        """
        ...
    def 設定する_インデックス(self, 列名: str) -> テーブルクラス:
        """
        指定した列をインデックスとして設定する（日本語メソッド）。
        
        Parameters
        ----------
        列名 : str
            インデックスとして設定する列名。
        
        Returns
        -------
        テーブルクラス
            インデックスが設定されたテーブル。
        """
        ...
    def 追加する_列(self, 列名: str | int | float, ボディ: list[str | int | float]) -> テーブルクラス:
        """
        テーブルに列を追加する（日本語メソッド）。
        
        Parameters
        ----------
        列名 : Union[str, int, float]
            新しい列の名前。
        ボディ : list of Union[str, int, float]
            新しい列のデータ。
        
        Returns
        -------
        テーブルクラス
            新しい列が追加されたテーブル。
        """
        ...
    def 追加する_行(self) -> テーブルクラス:
        """
        テーブルに行を追加する（日本語メソッド）。未実装。
        
        Returns
        -------
        テーブルクラス
            新しい行が追加されたテーブル。
        """
        ...
    def 撤廃する_表示制限(self, 方向: Literal['row', 'column']) -> テーブルクラス:
        """
        指定した方向の表示制限を撤廃する（日本語メソッド）。
        
        Parameters
        ----------
        方向 : {'row', 'column'}
            表示制限を撤廃する方向。
        
        Returns
        -------
        テーブルクラス
            表示制限が撤廃されたテーブル。
        """
        ...
    def 表示する(self) -> テーブルクラス:
        """
        テーブルを表示する（日本語メソッド）。
        
        Returns
        -------
        テーブルクラス
            表示されたテーブル。
        """
        ...

 ##### ./wip/src/term_utils.py #####

class 項ユーティリティクラス:
    """
    designed math(数式処理)モジュールでの項に関するユーティリティクラス
    """

    @staticmethod
    def 確認する_整数か(証明: 証明クラス, 項: Term) -> bool | None: ...
    @staticmethod
    def 取得する_次数(証明: 証明クラス, 項: Term) -> int:
        """
            式の最大の次数
        
        注意:
            整数多項式以外は、正しい結果を返さない。
            例）(x**2 + (1/x)**5) -> 5
        """
        ...
    @staticmethod
    def 取得する_フォーマットテキスト(項: Term) -> str: ...
    @staticmethod
    def 取得する_文字列テキスト(項: Term) -> str: ...
    @staticmethod
    def 評価する_以下(証明: 証明クラス, 項_左: Term, 項_右: term_) -> 数理的ブールクラス | 不等式クラス: ...
    @staticmethod
    def 評価する_以上(証明: 証明クラス, 項_左: Term, 項_右: term_) -> 数理的ブールクラス | 不等式クラス: ...
    @staticmethod
    def 評価する_小なり(証明: 証明クラス, 項_左: Term, 項_右: term_) -> 数理的ブールクラス | 不等式クラス: ...
    @staticmethod
    def 評価する_大なり(証明: 証明クラス, 項_左: Term, 項_右: term_) -> 数理的ブールクラス | 不等式クラス: ...
    @staticmethod
    def 評価する_等価(証明: 証明クラス, 項_左: Term, 項_右: term_) -> 数理的ブールクラス | 方程式クラス: ...
    @staticmethod
    def 評価する_非等価(証明: 証明クラス, 項_左: Term, 項_右: term_) -> 数理的ブールクラス | 非等号クラス: ...
    @staticmethod
    def 表示する(証明: 証明クラス, 項: Term) -> type['項ユーティリティクラス']: ...

 ##### ./wip/src/text_conditional.py #####

class 文章命題クラス(命題クラス):
    """
    一般言語による命題クラス
    """

    def __init__(self, 十分条件: str, 必要条件: str, 十分条件の真偽: bool = True, 必要条件の真偽: bool = True) -> None:
        """
        TextConditionalを初期化する。
        
        Parameters
        ----------
        十分条件 : str
            十分条件のテキスト。
        必要条件 : str
            必要条件のテキスト。
        十分条件_bool : bool, optional
            十分条件のブール値（デフォルトはTrue）。
        必要条件_bool : bool, optional
            必要条件のブール値（デフォルトはTrue）。
        """
        ...
    @property
    def 裏(self) -> 文章命題クラス:
        """
        裏命題を取得する。
        
        Returns
        -------
        文章命題クラス
            裏命題。
        """
        ...
    @property
    def 逆(self) -> 文章命題クラス:
        """
        逆命題を取得する。
        
        Returns
        -------
        文章命題クラス
            逆命題。
        """
        ...
    @property
    def 対偶(self) -> 文章命題クラス:
        """
        対偶命題を取得する。
        
        Returns
        -------
        文章命題クラス
            対偶命題。
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        条件のテキストを取得する。
        
        Returns
        -------
        str
            条件のテキスト。
        """
        ...
    @property
    def テキスト_裏(self) -> str:
        """
        裏命題のテキストを取得する。
        
        Returns
        -------
        str
            裏命題のテキスト。
        """
        ...
    @property
    def テキスト_逆(self) -> str:
        """
        逆命題のテキストを取得する。
        
        Returns
        -------
        str
            逆命題のテキスト。
        """
        ...
    @property
    def テキスト_十分条件(self) -> str:
        """
        十分条件のテキストを取得する。
        
        Returns
        -------
        str
            十分条件のテキスト。
        """
        ...
    @property
    def テキスト_対偶(self) -> str:
        """
        対偶命題のテキストを取得する。
        
        Returns
        -------
        str
            対偶命題のテキスト。
        """
        ...
    @property
    def テキスト_反対(self) -> str:
        """
        反対命題のテキストを取得する。
        
        Returns
        -------
        str
            反対命題のテキスト。
        """
        ...
    @property
    def テキスト_必要条件(self) -> str:
        """
        必要条件のテキストを取得する。
        
        Returns
        -------
        str
            必要条件のテキスト。
        """
        ...
    @property
    def 反対(self) -> 文章命題クラス:
        """
        反対命題を取得する。
        
        Returns
        -------
        文章命題クラス
            反対命題。
        """
        ...

 ##### ./wip/src/unequation.py #####

class 非等号クラス:
    """
    非等号クラス（右辺、左辺が等しくないことを表現するクラス)。
    方程式、不等式からのアナロジーで非等式と言いたいが、そんな日本語はないらしい。
    """

    def __init__(self, 証明: 証明クラス, 方程式: str | express_term) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト
        方程式 : Union[str, express_term]
            不等式を表す文字列または項のタプル
        """
        ...
    def __and__(self, その他: bool | symbol_condition) -> symbol_condition:
        """
        論理和の中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        symbol_condition
            結果の条件
        """
        ...
    def __eq__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        等式の中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理値
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        フォーマット用メソッド
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定子
        
        Returns
        -------
        str
            フォーマットされた文字列
        """
        ...
    def __ge__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        大なりイコールの中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理値
        """
        ...
    def __gt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        大なりの中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理値
        """
        ...
    def __invert__(self) -> symbol_condition:
        """
        論理否定の中置演算子
        
        Returns
        -------
        symbol_condition
            否定された条件
        """
        ...
    def __le__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        小なりイコールの中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理値
        """
        ...
    def __lshift__(self, その他: SymbolCondition) -> 数理命題クラス:
        """
        ビットシフトの中置演算子
        
        Parameters
        ----------
        その他 : SymbolCondition
            シフト対象
        
        Returns
        -------
        数理命題クラス
            結果の条件
        """
        ...
    def __lt__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        小なりの中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理値
        """
        ...
    def __ne__(self, その他: bool | symbol_condition) -> 数理的ブールクラス:
        """
        不等式の中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            比較対象
        
        Returns
        -------
        数理的ブールクラス
            結果の論理値
        """
        ...
    def __or__(self, その他: bool | symbol_condition) -> symbol_condition:
        """
        論理積の中置演算子
        
        Parameters
        ----------
        その他 : Union[bool, symbol_condition]
            演算対象
        
        Returns
        -------
        symbol_condition
            結果の条件
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[数理的ブールクラス]) -> 数理的ブールクラス:
        """
        右シフト演算子
        
        Parameters
        ----------
        タイプ : type_from_term_inequation
            シフト対象の型
        
        Returns
        -------
        symbol_condition
            シフト結果の条件
        """
        ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v1クラス]) -> 不等式_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式_v2クラス]) -> 不等式_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[不等式クラス]) -> 不等式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v1クラス]) -> 複合条件_v1クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件_v2クラス]) -> 複合条件_v2クラス: ...
    @overload
    def __rshift__(self, タイプ: type[複合条件クラス]) -> 複合条件クラス: ...
    @overload
    def __rshift__(self, タイプ: type[方程式クラス]) -> 方程式クラス: ...
    @overload
    def __rshift__(self, タイプ: type[非等号クラス]) -> 非等号クラス: ...
    @property
    def 式s(self) -> tuple[式クラス, 式クラス]:
        """
        左右の式
        
        Returns
        -------
        Tuple[式クラス, 式クラス]
            左右の式のタプル
        """
        ...
    @property
    def テキスト(self) -> str:
        """
        不等式を表す文字列
        
        Returns
        -------
        str
            不等式の文字列表現
        """
        ...
    @property
    def 入力用テキスト(self) -> str:
        """
        入力用のテキスト
        
        Returns
        -------
        str
            入力用の文字列
        """
        ...
    @property
    def 評価済み(self) -> 非等号クラス | 数理的ブールクラス:
        """
        評価済みの式
        
        Returns
        -------
        Union[非等号クラス, 数理的ブールクラス]
            評価結果
        """
        ...
    @property
    def 表示用テキスト(self) -> str:
        """
        表示用のテキスト
        
        Returns
        -------
        str
            表示用の文字列
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        式の変数
        
        Returns
        -------
        set[str]
            変数のセット
        """
        ...
    def 因数分解する(self) -> 非等号クラス:
        """
        因数分解
        
        Returns
        -------
        非等号クラス
            因数分解された不等式
        """
        ...
    def 型にキャスト可能か(self, 型: type_from_term_inequation) -> 数理的ブールクラス:
        """
        型変換可能かを判定
        
        Parameters
        ----------
        型 : type_from_term_inequation
            判定対象の型
        
        Returns
        -------
        数理的ブールクラス
            変換可能ならTrue、不可能ならFalse
        """
        ...
    def キャスト可能な型(self) -> list[type_from_term_inequation]:
        """
        キャスト可能な型
        
        Returns
        -------
        List[type_from_term_inequation]
            キャスト可能な型のリスト
        """
        ...
    def 作成する_図(self, プロット範囲: plotRange | plotRanges | plotRange_2d | None, アルファベット軸順: bool = True, タイトル: str = '') -> 図形クラス:
        """
        図を作成
        
        Parameters
        ----------
        プロット範囲 : Union[plotRange, plotRanges, plotRange_2d, None]
            プロット範囲
        アルファベット軸順 : bool, default=True
            軸のアルファベット順
        タイトル : str, default=""
            タイトル
        
        Returns
        -------
        図形クラス
            作成された図
        """
        ...
    def 代入する(self, 条件: dict[str, float] | dict[str, int] | dict[str, Term] | 方程式クラス | 方程式sクラス, 辺: Literal['left', 'right'] | None = None) -> 非等号クラス:
        """
        代入
        
        Parameters
        ----------
        条件 : Union[Dict[str, float], Dict[str, int], Dict[str, Term], 方程式クラス, 方程式sクラス]
            代入する条件
        辺 : Union[Literal["left", "right"], None], default=None
            代入する側
        
        Returns
        -------
        非等号クラス
            代入後の不等式
        """
        ...
    def 同一か(self) -> bool:
        """
        恒等式かどうか
        
        Returns
        -------
        bool
            恒等式ならTrue、そうでないならFalse
        """
        ...
    def 表示する(self, 生か: bool = True) -> 非等号クラス:
        """
        式を表示
        
        Parameters
        ----------
        生か : bool, default=True
            生の表示かどうか
        
        Returns
        -------
        非等号クラス
            表示された不等式
        """
        ...
    def プロットする(self, プロット範囲: plotRange | plotRanges | plotRange_2d | None, アルファベット順の軸の並び順: bool = True, タイトル: str = '') -> SymbolCondition:
        """
        図をプロット
        
        Parameters
        ----------
        プロット範囲 : Union[plotRange, plotRanges, plotRange_2d, None]
            プロット範囲
        アルファベット順の軸の並び順 : bool, default=True
            軸のアルファベット順
        タイトル : str, default=""
            タイトル
        
        Returns
        -------
        SymbolCondition
            プロットされた条件
        """
        ...

 ##### ./wip/src/utils.py #####

class 便利ツールクラス:
    """
    designed math モジュールでのutilityクラス
    """

    @staticmethod
    def AND条件(証明: 証明クラス, 条件s: tuple[symbol_condition, symbol_condition]) -> symbol_condition: ...
    @staticmethod
    def OR条件(証明: 証明クラス, 条件s: tuple[symbol_condition, symbol_condition]) -> symbol_condition: ...
    @staticmethod
    def キャスト可能か(型: term_type, テキスト: str) -> bool: ...
    @staticmethod
    def キャストする(証明: 証明クラス, 型: term_type, テキスト: str) -> 整数クラス | 浮動小数クラス | 分数クラス | 方程式クラス: ...
    @staticmethod
    def 取得する_素数(範囲: tuple[int, int]) -> list[int]: ...
    @staticmethod
    def 取得する_呼び出し元の行番号() -> int:
        """
            関数の呼び出し元の行番号を取得
        注意:
            !呼び出し元の上位行がすべて空の場合、常に1を返してしまうbugありTODO:修正!
        
        結果:
            呼び出し元の行
        """
        ...
    @staticmethod
    def 表示する(内容s: str | Markdown) -> None: ...
    @staticmethod
    def 表示する_行式(証明: 証明クラス, 式: str) -> None:
        """
            式を評価せずに表示する
        要改修:
            ()が評価されて消えてしまう。
            x/xは評価されて1になってしまう。（変数宣言する必要あり）
        """
        ...
    @staticmethod
    @overload
    def ユークリッドの互除法(証明: 証明クラス, 項s: tuple[int, int], セクションタイトル: str) -> tuple[int, int]: ...
    @staticmethod
    @overload
    def ユークリッドの互除法(証明: 証明クラス, 項s: tuple[str, str], セクションタイトル: str) -> tuple[str, str]: ...

 ##### ./wip/src/variable_handling.py #####

class 変数ハンドラークラス:
    """
    designed math（数式処理）モジュールの変数をハンドリングするクラス
    """

    @staticmethod
    def 生成する_変数シンボル(既存の変数シンボル: dict[str, variable_symbol], 変数s: list[str], 変数の型s: variable_types_optional = {}) -> dict[str, variable_symbol]: ...

 ##### ./wip/src/vector.py #####

class ベクトルクラス:
    """
    designed math(数式処理モジュール)のベクトルクラス
    """

    def __init__(self, 証明: 証明クラス, 要素s: list[term_instance]) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト
        要素s : List[term_instance]
            ベクトルの要素のリスト
        """
        ...
    def __add__(self, その他: ベクトルクラス) -> ベクトルクラス:
        """
        [+] の中置演算子
        
        Parameters
        ----------
        その他 : ベクトルクラス
            加算するベクトル
        
        Returns
        -------
        ベクトルクラス
            結果のベクトル
        """
        ...
    def __eq__(self, その他: ベクトルクラス) -> bool:
        """
        ベクトルの等価比較
        
        Parameters
        ----------
        その他 : ベクトルクラス
            比較するベクトル
        
        Returns
        -------
        bool
            等価であればTrue、そうでなければFalse
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        ベクトルを指定されたフォーマットで文字列として返す
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定子
        
        Returns
        -------
        str
            フォーマットされたベクトルの文字列
        """
        ...
    def __getitem__(self, index: int) -> term_instance:
        """
        指定されたインデックスの要素を返す
        
        Parameters
        ----------
        index : int
            インデックス
        
        Returns
        -------
        term_instance
            指定されたインデックスの要素
        """
        ...
    def __iter__(self) -> Generator[term_instance, None, None]:
        """
        ベクトルの要素のジェネレータを返す
        
        Returns
        -------
        Generator[term_instance, None, None]
            ベクトルの要素のジェネレータ
        """
        ...
    def __len__(self) -> int:
        """
        ベクトルの要素数を返す
        
        Returns
        -------
        int
            ベクトルの要素数
        """
        ...
    def __neg__(self) -> ベクトルクラス:
        """
        ベクトルの符号を反転する
        
        Returns
        -------
        ベクトルクラス
            符号を反転したベクトル
        """
        ...
    def __sub__(self, その他: ベクトルクラス) -> ベクトルクラス:
        """
        [-] の中置演算子
        
        Parameters
        ----------
        その他 : ベクトルクラス
            減算するベクトル
        
        Returns
        -------
        ベクトルクラス
            結果のベクトル
        """
        ...
    @property
    def LaTeX表現(self) -> str:
        """
        ベクトルのLaTeX表現を返す (日本語)
        
        Returns
        -------
        str
            ベクトルのLaTeX表現
        """
        ...
    @property
    def 変数s(self) -> set[str]:
        """
        ベクトルの変数のセットを返す (日本語)
        
        Returns
        -------
        set[str]
            ベクトルの変数のセット
        """
        ...
    def 追加する(self, 要素: term_instance) -> ベクトルクラス:
        """
        ベクトルに要素を追加する (日本語)
        
        Parameters
        ----------
        要素 : term_instance
            追加する要素
        
        Returns
        -------
        ベクトルクラス
            更新されたベクトル
        """
        ...
    def 表示する(self) -> None:
        """
        ベクトルを表示する (日本語)
        """
        ...

class ベクトル式クラス(ベクトルクラス):
    """
    数式ベクトルクラス
    """

    def __init__(self, 証明: 証明クラス, 要素s: list[式クラス]) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト
        要素s : List[式クラス]
            数式ベクトルの要素のリスト
        """
        ...
    def __getitem__(self, index: int) -> 式クラス:
        """
        指定されたインデックスの要素を返す
        
        Parameters
        ----------
        index : int
            インデックス
        
        Returns
        -------
        式クラス
            指定されたインデックスの要素
        """
        ...
    def __iter__(self) -> Generator[term_instance, None, None]:
        """
        数式ベクトルの要素のジェネレータを返す
        
        Returns
        -------
        Generator[term_instance, None, None]
            数式ベクトルの要素のジェネレータ
        """
        ...
    def 追加する(self, 要素: 方程式クラス) -> ベクトル式クラス:
        """
        数式ベクトルに要素を追加する (日本語)
        
        Parameters
        ----------
        要素 : 方程式クラス
            追加する要素
        
        Returns
        -------
        ベクトル式クラス
            更新された数式ベクトル
        """
        ...

class 整数ペアクラス(ベクトルクラス):
    """
    整数ペアクラス
    """

    def __init__(self, 証明: 証明クラス, ペア: integer_pair_input, 和: integer_candidate_input | None = None, 積: integer_candidate_input | None = None) -> None:
        """
        コンストラクタ
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト
        ペア : integer_pair_input
            整数ペアの入力
        和 : Union[integer_candidate_input, None], optional
            ペアの和, by default None
        積 : Union[integer_candidate_input, None], optional
            ペアの積, by default None
        """
        ...
    def __getitem__(self, index: int) -> 式クラス | 整数クラス:
        """
        指定されたインデックスの要素を返す
        
        Parameters
        ----------
        index : int
            インデックス
        
        Returns
        -------
        Union[式クラス, 整数クラス]
            指定されたインデックスの要素
        """
        ...
    @property
    def 積(self) -> integer_candidate:
        """
        整数ペアの積を返す (日本語)
        
        Returns
        -------
        integer_candidate
            整数ペアの積
        """
        ...
    @property
    def 総和(self) -> integer_candidate:
        """
        整数ペアの和を返す (日本語)
        
        Returns
        -------
        integer_candidate
            整数ペアの和
        """
        ...
    @property
    def 要素s(self) -> integer_pair:
        """
        整数ペアの要素を返す (日本語)
        
        Returns
        -------
        integer_pair
            整数ペアの要素
        """
        ...

class 自然数ペアクラス(整数ペアクラス):
    """
    自然数ペアクラス
    """

    def __init__(self, 証明: 証明クラス, ペア: integer_pair_input, 和: integer_candidate_input | None = None, 積: integer_candidate_input | None = None, 最大公約数: integer_candidate_input | None = None, 最小公倍数: integer_candidate_input | None = None, 相互素ペアs: list[tuple[integer_candidate_input, integer_candidate_input]] = []) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        証明 : 証明クラス
            証明オブジェクト
        ペア : integer_pair_input
            自然数ペアの入力
        和 : Union[integer_candidate_input, None], optional
            ペアの和, by default None
        積 : Union[integer_candidate_input, None], optional
            ペアの積, by default None
        最大公約数 : Union[integer_candidate_input, None], optional
            最大公約数, by default None
        最小公倍数 : Union[integer_candidate_input, None], optional
            最小公倍数, by default None
        相互素ペアs : List[Tuple[integer_candidate_input, integer_candidate_input]], optional
            関連する素数ペアのリスト, by default []
        """
        ...
    @property
    def 最小公倍数(self) -> integer_candidate | None:
        """
        自然数ペアの最小公倍数を返す (日本語)
        
        Returns
        -------
        Union[integer_candidate, None]
            自然数ペアの最小公倍数
        """
        ...
    @property
    def 最大公約数(self) -> 自然数ペアクラス | integer_candidate:
        """
        自然数ペアの最大公約数を返す (日本語)
        
        Returns
        -------
        Union[自然数ペアクラス, integer_candidate]
            自然数ペアの最大公約数
        """
        ...
    @property
    def 最大公約数の履歴(self) -> セクションクラス:
        """
        自然数ペアの最大公約数の計算履歴を返す (日本語)
        
        Returns
        -------
        セクションクラス
            自然数ペアの最大公約数の計算履歴
        """
        ...
    @property
    def 積の関係式(self) -> 方程式クラス:
        """
        自然数ペアの積の関係式を返す (日本語)
        
        Returns
        -------
        方程式クラス
            自然数ペアの積の関係式
        """
        ...
    @property
    def 総和の関係式(self) -> 方程式クラス | None:
        """
        自然数ペアの和の関係式を返す (日本語)
        
        Returns
        -------
        Union[方程式クラス, None]
            自然数ペアの和の関係式
        """
        ...
    @overload
    def 同定する_条件から(self, 総和: int, 最小公倍数: None, 最大公約数: int, セクションタイトル: str = '同定する_条件から', セクションID: str = '同定する_条件から') -> ベクトル解sクラス:
        """
        条件から同定する (日本語)
        
        Parameters
        ----------
        総和 : int
            和
        最小公倍数 : Union[int, None], optional
            最小公倍数, by default None
        最大公約数 : Union[int, None], optional
            最大公約数, by default None
        セクションタイトル : str, optional
            セクションタイトル, by default "同定する_条件から"
        セクションID : str, optional
            セクションID, by default "同定する_条件から"
        
        Returns
        -------
        ベクトル解sクラス
            ベクトルソリューション
        """
        ...
    @overload
    def 同定する_条件から(self, 総和: int, 最小公倍数: int, 最大公約数: None = None, セクションタイトル: str = '同定する_条件から', セクションID: str = '同定する_条件から') -> ベクトル解sクラス: ...
    def 表示する_最大公約数履歴(self) -> 自然数ペアクラス:
        """
        最大公約数の計算履歴を表示する (日本語)
        
        Returns
        -------
        自然数ペアクラス
            更新された自然数ペア
        """
        ...

 ##### ./wip/src/vector_solutions.py #####

class ベクトル解sクラス:
    """
    ベクトル方程式のうち、各変数について説かれた形式のクラス
    """

    def __init__(self, 証明: 証明クラス, 方程式s: list[ベクトル方程式クラス] | list[解sクラス]) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        証明 : 証明クラス
            証明を示すオブジェクト
        方程式s : Union[List[ベクトル方程式クラス], List[解sクラス]]
            ベクトル方程式または解のリスト
        """
        ...
    def __iter__(self) -> Generator[ベクトル方程式クラス, None, None]:
        """
        ベクトル方程式のジェネレータを返す
        
        Returns
        -------
        Generator[ベクトル方程式クラス, None, None]
            ベクトル方程式のジェネレータ
        """
        ...
    def __format__(self, __format_spec: str) -> str:
        """
        ベクトル方程式を指定されたフォーマットで文字列として返す
        
        Parameters
        ----------
        __format_spec : str
            フォーマット指定子
        
        Returns
        -------
        str
            フォーマットされたベクトル方程式の文字列
        """
        ...
    def __getitem__(self, index: int) -> ベクトル方程式クラス:
        """
        指定されたインデックスのベクトル方程式を返す
        
        Parameters
        ----------
        index : int
            取得するベクトル方程式のインデックス
        
        Returns
        -------
        ベクトル方程式クラス
            指定されたインデックスのベクトル方程式
        """
        ...
    @property
    def 方程式s(self) -> list[ベクトル方程式クラス]:
        """
        ベクトル方程式のリストを返す (日本語)
        
        Returns
        -------
        List[ベクトル方程式クラス]
            ベクトル方程式のリスト
        """
        ...
    def 結合する(self, ベクトル方程式s: list[ベクトル方程式クラス] | ベクトル解sクラス) -> ベクトル解sクラス:
        """
        ベクトル方程式を追加する (日本語)
        
        Parameters
        ----------
        ベクトル方程式s : Union[List[ベクトル方程式クラス], ベクトル解sクラス]
            追加するベクトル方程式またはベクトル方程式の集合
        
        Returns
        -------
        ベクトル解sクラス
            更新されたVectorSolutionsオブジェクト
        """
        ...
    def 追加する(self, ベクトル方程式: ベクトル方程式クラス) -> ベクトル解sクラス:
        """
        単一のベクトル方程式を追加する (日本語)
        
        Parameters
        ----------
        ベクトル方程式 : ベクトル方程式クラス
            追加するベクトル方程式
        
        Returns
        -------
        ベクトル解sクラス
            更新されたVectorSolutionsオブジェクト
        """
        ...

 ##### ./wip/src/ven_diagram.py #####

class ベン図クラス:
    """
    ベン図クラス。。
    """

    def __init__(self, データ: list[vennData]) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        データ : List[vennData]
            ベン図のデータリスト
        """
        ...
    def 表示する(self) -> ベン図クラス:
        """
        displayメソッドを呼び出す日本語のエイリアス。
        
        Returns
        -------
        ベン図クラス
            自身のインスタンス
        """
        ...

 ##### ./wip/src/ven_diagram_reservation.py #####

class ベン図登録クラス:
    """
    ベン図登録クラス。
    図形クラスはインスタンスが定義された断面でレンダリングされ、出力の並びが狂うため、表示を先送りするためのクラス。
    """

    def __init__(self, データ: list[vennData]) -> None:
        """
        コンストラクタ
        
        Parameters
        ----------
        データ : List[vennData]
            ベン図のデータリスト
        """
        ...
    def 表示する(self) -> ベン図登録クラス:
        """
        ベン図を表示する日本語メソッド。
        
        Returns
        -------
        ベン図登録クラス
            自身のインスタンスを返す
        """
        ...

 ##### ./wip/src/define_type.py #####

SymbolCondition = 方程式クラス | 不等式クラス | 非等号クラス | 複合条件クラス | 数理的ブールクラス
Term = 式クラス | 浮動小数クラス | 整数クラス | 分数クラス

class subtract_prime_result(TypedDict):


    term: 式クラス
    signInteger: Literal[1, -1]

class Modee(TypedDict):


    residual: int
    power: int
markdown_str = str
integer_candidate = 整数クラス | 式クラス
integer_candidate_input = int | integer_candidate
integer_pair_input = tuple[integer_candidate_input, integer_candidate_input]
integer_pair = tuple[integer_candidate, integer_candidate]
condition_symbol = Literal["True", "False"]
#

equation_symbol_ = Literal["="]

inequality_relation = Literal["<", "<=", ">", ">="]
inequation_symbol = Literal["<", "<=", ">", ">="]
term_type = type[整数クラス] | type[浮動小数クラス] | type[分数クラス] | type[式クラス]
table_data = dict[str, list[str | int | float]]
unequation_symbol = Literal["!="]

plotRange_ = tuple[tuple[int | float, int | float], tuple[int | float, int | float]]
symbol_relation_type = Literal[
    operator_symbol,
    number_symbol,
    condition_symbol,
    equation_symbol_,
    inequation_symbol,
    unequation_symbol,
]
symbol_type = Literal[symbol_relation_type, "symbol", condition_symbol]
type_from_term_inequation = type[数理的ブールクラス] | type[不等式クラス] | type[不等式_v1クラス] | type[不等式_v2クラス] | type[方程式クラス] | type[非等号クラス] | type[複合条件クラス] | type[複合条件_v1クラス] | type[複合条件_v2クラス]

single_condition = 方程式クラス | 非等号クラス | 不等式クラス | 不等式_v1クラス | 不等式_v2クラス | 数理的ブールクラス
symbol_range = 方程式クラス | 非等号クラス | 不等式クラス | 不等式_v1クラス | 不等式_v2クラス | 複合条件クラス | 複合条件_v1クラス | 複合条件_v2クラス
symbol_condition = symbol_range | 数理的ブールクラス

class squared_result(TypedDict):


    square: 式クラス
    correction_term: 式クラス

class add_and_subtract_products_equation(TypedDict):


    left_plus_term: 式クラス
    left_minus_term: 式クラス
    right_constant_term: 整数クラス | 分数クラス

class euclidean_output_each_process(TypedDict):


    result: 自然数ペアクラス
    explain: セクションクラス

class euclidean_output(TypedDict):


    result: 自然数ペアクラス | integer_candidate
    explain: セクションクラス

class variable_type_optional(TypedDict, total=False):


    commutative: Literal[True]
    complex: Literal[True]
    composite: Literal[True]
    even: Literal[True]
    extended_negative: Literal[True]
    extended_nonnegative: Literal[True]
    extended_nonpositive: Literal[True]
    extended_nonzero: Literal[True]
    extended_positive: Literal[True]
    extended_real: Literal[True]
    finite: Literal[True]
    imaginary: Literal[True]
    infinite: Literal[True]
    integer: Literal[True]
    irrational: Literal[True]
    negative: Literal[True]
    noninteger: Literal[True]
    nonnegative: Literal[True]
    nonpositive: Literal[True]
    nonzero: Literal[True]
    odd: Literal[True]
    positive: Literal[True]
    prime: Literal[True]
    rational: Literal[True]
    real: Literal[True]
    zero: Literal[True]





# Dependent type
variable_types_optional = dict[str, variable_type_optional]
explain = セクションクラス | 関係コンテンツクラス | str | マークダウンコンテンツクラス | テーブルクラス | 図登録クラス | ベン図登録クラス

class common_initialize_result(TypedDict):


    proof: 証明クラス
    ast: astElement
    variables: set[str]

class equation_symbol(TypedDict):


    formula_left: variable_symbol
    formula_right: variable_symbol

class checked_variable(TypedDict):


    existed_variables: variables
    added_variables: set[str]

class condition(TypedDict):


    times: int
    mod: list[int]
term_instance = float | int | 整数クラス | 浮動小数クラス | 分数クラス | 式クラス
conditions_float = dict[str, float]
conditions_int = dict[str, int]
conditions_str = dict[str, str]
conditions_term = dict[str, Term]
conditions_fraction = dict[str, NativeFraction]
conditions_native = conditions_float | conditions_int | conditions_str
term_ = Term | float | int | NativeFraction
term = Term | str | float | int | NativeFraction



class Position_only_x(TypedDict, total=True):


    x: int | float | str

class Position_only_y(TypedDict, total=True):


    y: int | float | str

class Position_only(Position_only_x, Position_only_y):

 ...

class Annotation(TypedDict, total=False):


    annotation: str

class Position(Position_only, Annotation):

 ...
class Position_x(Position_only_x, Annotation):

 ...

class Positions_only_x(TypedDict, total=True):


    x: list[int] | list[float] | list[str]

class Positions_only_y(TypedDict, total=True):


    y: list[int | float | str]

class Positions_only(Positions_only_x, Positions_only_y):

 ...

class Annotations(TypedDict, total=False):


    annotation: list[str]

class Positions_list(Positions_only, Annotations):

 ...
class Positions_list_x(Positions_only_x, Annotations):

 ...

class result_of_factorized_and_split(TypedDict):


    inequations: tuple[tuple[不等式クラス, 不等式クラス], tuple[不等式クラス, 不等式クラス]] | None
    relation_index: Literal[0, 1, 2, 3]



#


#

relation_content = symbol_condition | Term | 数理命題クラス | 解sクラス | ベクトル方程式クラス | ベクトル解sクラス | ベクトルクラス

express_term = tuple[term, term]
